#ifndef FECCTRLDEVDIM
#define FECCTRLDEVDIM 

#include "fecctrldevinterface.h"
#include "dimfecaccesschannel.h"

/**
   \class FecCtrlDevDim
   \author W.Beaumont
   \date December  2002
   \version 1.0

   \brief Dim implementation for the feccontrol access
*/
   

class FecCtrlDevDim: public FecCtrlDevInterface {


 public:

  FecCtrlDevDim(int board, string host);
  virtual ~FecCtrlDevDim( );


  /** FEC generates an hard reset to the hybrids 
   */
  virtual void hardReset();

  
 virtual void plxReset(){fDFC->plxReset();}

 virtual void fecReset(){fDFC->fecReset();}

 virtual void initTTCRX(){fDFC->initTTCRX();}

   public:
 DimFecaccessChannel* fDFC;
};
#endif 

