#ifndef FEDPROCESSCTRLWRAPPER
#define FEDPROCESSCTRLWRAPPER

#include "fedprocessctrlinterface.h"

#include "ltparser.h"
#include "daqerrormsg.h"

class FedProcessCtrlWrapper
{ 
  private :
  FedProcessCtrlInterface* fT;
  bool  fInitialized;
  int fDeviceId;
  int fType;
public :
  /** looks in the ltparser for the fedprocessctrl information for the 
      fed with device=device. if order = true it looks for the fedprocesscontrol
      information that is defined in the device order .
      If the information if found it instantiates  the device 
      @return the requested device 0 in case of failure 
  */
 FedProcessCtrlWrapper(   int device, LtParser* ltparser ,bool ordernr=false  ); 
 FedProcessCtrlInterface* getFedProcessCtrl() {return fT;}

 bool getIsIntialized(){ return fInitialized;}

 ~FedProcessCtrlWrapper();
};

#endif
