#ifndef MUXCHANNELKARLS
#define MUXCHANNELKARLS
#include "muxchannelinterface.h"
#include "muxexchange.h"
#include "normi2c.h"
#include "motherboardi2c.h"
#include "multiplexer.h"
class MuxChannelKarls : public MuxChannelInterface  {
  MotherboardI2C*  fMB;
  Multiplexer* fMux;
  MuxExchangeDef::FedMuxInfo fMuxInfo;
  int fCardnr;
  int fActiveChannel;
 public:  
  MuxChannelKarls(int cardnr, 
		  MuxExchangeDef::FedMuxInfo mi,
		  MotherboardI2C* mb);
  virtual ~MuxChannelKarls();
  virtual int  setActiveGroup(int i);


};


#endif
