#include <multiplexer.h>
using namespace std;
Multiplexer::Multiplexer( Motherboard *mptr, int nslot, int nmboard ) { 
  mbptr = mptr;
  slot=nslot; 
  mboard = nmboard;   // not used for CMS
}

int Multiplexer::selectChannel(int channel, int board_id)
{

  unsigned char selectchan;

  if ( channel > 9 ) {
    cerr << "Multiplexer::selectChannel(int channel) invalid value of " 
         << selectchan << " (0..9 allowed)" << endl;
    return -1;
  } 

  selectchan = board_id | 8 | (channel << 4);
  cout << (int)selectchan << endl;
  
  mbptr->getSlot(slot,mboard);
  mbptr->sendData( &selectchan, 1);
  mbptr->releaseSlot();

  return 0;
} 

int Multiplexer::disableSwitch(int board_id)
{
  
  unsigned char switch_off;
  
  switch_off = board_id;

  cout << switch_off << endl;
  cout << endl;

  mbptr->getSlot(slot,mboard);
  mbptr->sendData( &switch_off, 1);
  mbptr->releaseSlot();
      

  return 0;
} 





