#ifndef __HUMIDITYCHANNELTCPIP
#define __HUMIDITYCHANNELTCPIP

#include <iostream.h>
#include <string>
#include <fstream.h>
#include "CalibrationValues.h"
#include <adcchannelinterface.h>
#include "humiditychannelinterface.h"
#include "viproxy.h"

class HumidityChannelTCPIP  : public HumidityChannelInterface
{
 public:
 HumidityChannelTCPIP(ViProxy* prx, string identity, int b,int c):proxy(prx)
 {
      setBoardNr(b);
      setChannelNr(c);
      char board[5] = {0};
      char channel[5] = {0};
      sprintf(board,"%i",b);
      sprintf(channel,"%i",c);
      id = identity + " " + board + " " + channel;
 }
 virtual ~HumidityChannelTCPIP() {}
 virtual float getHumidity() {return float(proxy->getValue(id)); }
 virtual float getInputValue() {return 0.; }
 virtual void info() {}
 virtual bool isInitialized(){return true;}
 private:
 ViProxy* proxy;
 string id;
};

#endif
