//FILE not in use and not correct.

#include <cstdio>
#include <errno.h>
#include "humidityctrldummy.h"
#include "daqerrormsg.h"


HumidityCtrlDummy::HumidityCtrlDummy( CalExchange <HumidityCtrlDef::HumidityCtrlValues>* c):HumidityCtrlInterface(c){
 
  // stores the id's in the hummidity channel interface 
  setCalibrationId(fCV->getCalibrationId());
  // default settings:

  setTargetHumidity(10);
  setZeroGasFlow();
  DT_DEBUG_LTC( "tempctrl init done");
  //delete ltparser;
  fActualHumidity=40;
  fInitialized=true;
}

HumidityCtrlDummy::~HumidityCtrlDummy(){
  cleanup();
}

void HumidityCtrlDummy::cleanup(){
  // is in principle the destructor but can be called in case of exit 
  // should disapear if I know how to handle exceptions 
  setZeroGasFlow();
 
}

void HumidityCtrlDummy::setTargetHumidity (float target)  { 
  fTargetHumidity =target;
}

int  HumidityCtrlDummy::getType(){
  return  fCV->getType() ;
}
  

int HumidityCtrlDummy::control(){    
  // in the future here could come a control procedure ;
  //(void)fGasFlow->setPower(0);
  fActualHumidity=getHumidity();
  fActualHumidity= fActualHumidity + 0.5*(fTargetHumidity -fActualHumidity);
  int  exit_value=0;
  return exit_value;
}

float HumidityCtrlDummy::getGasFlow() {  return fActualGasFlow;}

void HumidityCtrlDummy::setGasFlow(float flow){
  fActualGasFlow=flow;
} 

void HumidityCtrlDummy::setZeroGasFlow(){
  fActualGasFlow=0;
} 

void HumidityCtrlDummy::setMaxGasFlow(){
  fActualGasFlow=0;
} 

float HumidityCtrlDummy::getTargetHumidity () { return fTargetHumidity ;}
  


void  HumidityCtrlDummy::printHumidityCtrlDummy (){    
  cout <<" HumidityCtrl "<<  getName()<<" Id:"<< getId()<<endl;
  cout << "T " << getActualHumidity()<<" [\%] Target:  ";
  cout << getTargetHumidity() ;
  cout  << " [\%]  Power "  << getGasFlow() << " [W] " ;
//  	    switch ( fCtrlStatus)
//  	      {
//  		case  UNKNOWN :  cout << "unknown" ;
//  		  break;
//  		case NOTSTARTED: cout << "not started" ;
//  		  break;
//  		  case NORMAL :  cout << "normal" ;
//  		    break;
//  		    case UNDERHUMIDITY : cout << "temerature to low";
//  		      break;
//  		case  OVERHUMIDITY : cout << "high temperature" ;
//  		  break;
//  		default:  cout << "invalid status" ;
// }
cout << "\n";
}



float HumidityCtrlDummy::getHumidity() {return fActualHumidity;}

float HumidityCtrlDummy::getInputValue(){return fActualHumidity;}

float HumidityCtrlDummy::getRefVolt(){return 0;}




