#include <stdio.h>
#include <errno.h>
#include "tempctrldummy.h"
#include "tempctrlreg.h"
#include "daqerrormsg.h"



TempCtrlDummy::TempCtrlDummy( int device )
{ fActualTemp=20;
 fWaterTemperature=-10;
  fHotSideTemperature=10;
  fRegTc=new TempCtrlReg();
  if( fRegTc->registerTempCtrl(device,this)) 
    {
      fRefferenceToChannel=false;
    }
  else
    {   
      fRefferenceToChannel=true;
      // in principle this is an error 
    }
}

TempCtrlDummy::~TempCtrlDummy()
{   cleanup();}

void TempCtrlDummy::cleanup(){
  if(! fRefferenceToChannel){
    fRegTc->unRegisterTempCtrl();
  }
}

void TempCtrlDummy::setTargetTemperature (float target)  {
  fTargetTemp=target; 
 fWaterTemperature=target-10; fHotSideTemperature=target+10;
}

float TempCtrlDummy:: IntegratedTempError()
{ float sum=0;    return sum ;}

float TempCtrlDummy:: setTempHistory(float x)
{  return 0; }

float TempCtrlDummy::DifferentiatedError()
{ float diff=0; return diff ; } 

int TempCtrlDummy::control(){      
  fActualTemp = fActualTemp + .5*(fTargetTemp -fActualTemp);
 int  exit_value=0;
 return exit_value;
}

float TempCtrlDummy::getActualPower() {  return fActualPower;}

 void TempCtrlDummy::setPower(float power)
 { fActualPower=power; } 

 void TempCtrlDummy::setZeroPower()
 {fActualPower=0; } 


void  TempCtrlDummy::printTempCtrl ()
{    cout <<" TempCtrldummy  "<< endl;
}

 


