
#include "tempctrlreg.h"
#include "daqerrormsg.h"

using namespace std;


map <int,TempCtrlInterface*> TempCtrlReg::fRegTempCtrls ;


TempCtrlInterface* getTempCtrlMapInfo(int deviceid)
{ TempCtrlInterface* ret;
   map <int,TempCtrlInterface*>*  RegTC= &TempCtrlReg::fRegTempCtrls;
   map<int,TempCtrlInterface*>::iterator p= RegTC->find( deviceid) ;
   if( p == RegTC->end())
     { ret=0;}
   else 
     { ret= p->second;}
   return ret;
}

bool TempCtrlReg::registerTempCtrl(int id, TempCtrlInterface *tci){
  map<int,TempCtrlInterface*>::iterator p= fRegTempCtrls.find( id ) ;
 if( p == fRegTempCtrls.end()) { 
     // no registered channel  
   fRegTempCtrls[id]=tci;
   fDeviceId=id;
   return true;
 }
 else {
   return false;
 }
}



bool TempCtrlReg::unRegisterTempCtrl(){
  bool found;
  map<int,TempCtrlInterface*>::iterator p=fRegTempCtrls.find( fDeviceId) ; 
   if(p!= fRegTempCtrls.end()){
     if(fNrReference) { 
       DT_WARN("Remove temp ctrl with references , instable system left !!! ");
     }
     found=true;   
     fRegTempCtrls.erase(p);
   }
   else{
     DT_WARN("unregistered temp ctrl "<< fDeviceId <<"  deleted");
     found=false;
   }
   return found;
}
