#include "currentchanneldim.h"


CurrentChannelDim:: CurrentChannelDim
       ( 	 CalExchange <CurrentConvDef::CurrentCalValues>* c )
	 : CurrentChannelInterface(c)       
{ 
  fIsInitialized =false;
  setDimServerName ( c->getShmName());
  if (DimServerNameNotValid()) { return;} 
  fCurrentinfo= new DimInfo((char*)DimCurrentChannelAckName(c->getBoardNr(),c->getChannelNr()),-1,this);
  DT_DEBUG_LTC("DimInfo:"<<DimCurrentChannelAckName(c->getBoardNr(),c->getChannelNr()));
  memset(fCmd,0,80);
  sprintf(fCmd,"%s",DimCurrentChannelCmdName(c->getBoardNr(),c->getChannelNr()));
  fNsent=0;
  fNreceived=0;
  fIsInitialized=true;
  fActualCurrent=0;
}



float CurrentChannelDim::getCurrent() {
  fSent[0] = (float) GET_CURRENT;
  fSent[1] = 0.3;
  if(!   DimClient::sendCommand(fCmd,fSent,2*sizeof(int)))
    { DT_WARN("failed to send \n"); return -999; }
  
  fNsent++;
  if(  wait() < 0){ DT_WARN("no reaction from server\n");return -998;}
  DT_DEBUG_LTC("received" << fRecBuf[0] << "send "<< fNsent <<" fNreceived "<<  fNreceived);
  fActualCurrent=fRecBuf[1];
  return fRecBuf[1];
}
  
float CurrentChannelDim::getInputValue()
{ return fActualCurrent;}

void CurrentChannelDim::infoHandler()
{
  DimInfo* info=getInfo();
  // memcpy(fRecBuf,0, 256*sizeof(short));
  if (info == fCurrentinfo)
    { 
       fNreceived++;
       if(info->getSize() >  (int)(256* sizeof(float))) 
	 { fRecBuf[0]=-2; fRecBuf[1]=-990.99; }
       else
	 { memcpy(fRecBuf,info->getData(),info->getSize());    
	 DT_DEBUG_LTC("Current info size"<<info->getSize()<<" cmd: "<< (int)fRecBuf[0]<<" Value: "<< fRecBuf[1] );
	 }
    }
  else  {fRecBuf[0]=-1; fRecBuf[1]=-990.99; }
}

int CurrentChannelDim::wait()
{
  int nc=0;
  do
    {
      usleep(1000);
      nc++;
      if (nc>1000) return -1;
    } while (fNreceived<fNsent);
  return nc;
}
