#ifndef __DACCHANNELDUMMY 
#define __DACCHANNELDUMMY 

#include "dacchannelinterface.h"

/** 
    \class DacChannelDummy
    \author W. Beaumont
    \date May  2001
    \version 1.0


    \brief Dac dummy  implementation of DacChannelInterface

    

*/

class DacChannelDummy  : public DacChannelInterface
{ private:
  int fBoard;
  int fChannel;
 

public:
  /** Constructor
      @param number the adc device number determins which adc will be used.
      @param channel  wich channel of the adc will be used
       */   
  // DacChannelDummy(char* name, int b, int c);
    DacChannelDummy::DacChannelDummy(char* dummy, int b, int c): DacChannelInterface(b,c) 

    {
 
}

    virtual ~DacChannelDummy(){;}
 
    virtual int getGain(){ return 1;}
    virtual  unsigned short getOutputVoltage(){return 2090;}
 


};

#endif 
	

