#ifndef POWERPARSER
#define POWERPARSER

#include "pmap.h"
#include "commonparser.h"
#include "CalibrationValues.h"
class DOM_Node;


class PowerParser : public CommonParser
{
 public:
  PowerParser(){;}
  ~PowerParser(){;}
 int CoolingPowerParser(DOM_Node &ei); 
 void setDummy(int deviceid);
void PeltierDacParser(DOM_Node &ei, 
		      CalExchange < PowerConversionDef:: PowerCalValues>*  CV);
 int  getNrCards(){ return powers.size();}
 CalExchange<PowerConversionDef::PowerCalValues>* 
   getInfo(int deviceid){
   return powers.getP(deviceid);
 }
void clear(){powers.clearpointermap();}
 private:
  
    /// power channels that controls the peltier in the system
  static   pmap <int,CalExchange<PowerConversionDef::PowerCalValues>*> 
      powers;

};

#endif 
