#ifndef _SLOWCTRLCONFIG
#define _SLOWCTRLCONFIG

#include <map>

class SlowCtrlConfig
{ private:
  int fId;
  std::map<int,int> fTempProbes;
 std::map<int,int> fHumidityProbes;
 std::map<int,int> fColdBoxes;
 std::map<int,int> fInterLocks;


 public:
 SlowCtrlConfig( int id){ fId=id;}
 ~SlowCtrlConfig() {;}
 
 void addTempProbe(int i ){ fTempProbes[fTempProbes.size()]=i;}
 int getNrTempProbes(){ return fTempProbes.size();}
 int getTempProbeId( int i){ return fTempProbes[i];}

  void addHumidityProbe(int i ){ fHumidityProbes[ fHumidityProbes.size()]=i;}
 int getNrHumidityProbes(){return  fHumidityProbes.size();}
 int getHumidityProbeId( int i){ return fHumidityProbes[i];}
 
 void addColdBox(int i ){ fColdBoxes[fColdBoxes.size()]=i;}
 int getNrColdBoxes(){ return fColdBoxes.size();}
 int getColdBoxId( int i){ return fColdBoxes[i];}
 
 void addInterLock(int i ){ fInterLocks[ fInterLocks.size()]=i;}
 int getNrInterLocks(){ return fInterLocks.size();}
 int getInterLockId( int i){ return fInterLocks[i];}

};


#endif
