#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
#include <fstream.h>

#include <dacchannel.h>

bool HasToExit=false;




void  Ictrlc(int s)
{


  if (s == SIGCONT) {  printf("sigcont received\n "); return;}
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}

 


int main (int argc, char *argv[], char *envp[])
{ signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
  int chnr=0;
  int dacsetting = 0;
  if (argc < 2)
    { chnr=0;
    }
  else
    { chnr= (int) strtol(argv[1],NULL, 0);
    if (chnr < 0 || chnr > 1)
      { printf("DAC channel number should be 0 or 1 \n");
      return(-1);
      }

    }
  if (argc ==3 )
    { dacsetting =( (int) strtol( argv[2],NULL,0)) % 4096 ;
    printf ( "Dac will set to %d ( =  command line argument\n", dacsetting );
    }
  else 
    {  printf ( "Dac will set to %d ( default \n", dacsetting );
    } 
  printf("will set signal on DAC chnr %d: \n", chnr);
  int  dac_set_result;
  DacChannel  DacCh("ControlePrincipal",-1,chnr);
 
  //if (! DacCh.isInitialized()) exit(0);

      usleep(500000);
      DacCh.lock();
          DacCh.setOutputVoltage((unsigned short) dacsetting ); // (lc++ % 4096));
          DacCh.justDoIt();
       
      cout << DacCh.getOutputVoltage();
	 DacCh.unlock();
  return 0;
}

