//#include "currentchannelinterface.h"
#include "daqerrormsg.h"
#include "currentchannellt.h"
#include "temperaturechannellt.h"
#include "humiditychannellt.h"
#include "tempctrl.h"
#include "fedchannellt.h"
#include "hvchannellt.h"
//#include "dominit.h"
#include "ltparser.h"
#include "fedprocessctrlinterface.h"
#include "fedprocessctrl.h" 
#include "apv25i2cchannellt.h"
#include "plli2cchannellt.h"
#include "muxi2cchannellt.h"

//#include "benchposconnection.h"
 
#define MAXPOS 2 
LtParser* ltparser;

int   main ()
{  DaqToolsErrorMessage tem(DT_DEBUG_ALL); // show all messages
  BenchPosConnection* BenchP[MAXPOS];
//   DomInit dominit(); // destructor callled by program termination
    ltparser = new LtParser();
    ltparser->parseFile( );
// this test is now  part of the parser 
     int nrPB= ltparser->getNumberBenchPositions() ;
//        if ( nrPB > MAXPOS )
//  	{ cout <<"more bench position"  << nrPB  << " than can be processed\n";
//  	  nrPB = MAXPOS;
//  	}
//        else
	{ cout << nrPB << " bensch positions in config file" << endl;
	}
  for (int lc =0 ; lc < nrPB ; lc++)
    { BenchP[lc]= new BenchPosConnection(*ltparser->getBenchPosConnections(lc));
    BenchP[lc]->info();
    }
 cout <<"_________start  of construction __________________"<<endl;
  TemperatureChannelInterface* T0 = new  TemperatureChannelLt(10) ;
  CurrentChannelInterface* current = new CurrentChannelLt( BenchP[0]->getHvCurrentDevice()) ;
  TemperatureChannelInterface* NTC0 = new TemperatureChannelLt(  BenchP[0]->getNTCDevice(0));
  TemperatureChannelInterface* NTC1= new TemperatureChannelLt(  BenchP[0]->getNTCDevice(1));
  HumidityChannelInterface* H1 = new HumidityChannelLt( 10);
  TempCtrl* TC0 = new TempCtrl(1);
  HVChannelInterface* Hv0 =new HvChannelLt( BenchP[0]->getBiasDevice());
  
  CurrentChannelInterface* checkcurrent = new CurrentChannelLt(10);
 
//  FedProcessCtrlInterface* FedPC = new FedProcessCtrl();
  // cout << "init fed control "<<endl;
//  cout << "fed current spill nr "<< FedPC->getSpillNumber() << endl;
  FedChannelLt* f1 = new FedChannelLt (1,0,62, FedChannelInterface::SCOPE_DOUBLE);

  Apv25I2cChannelInterface* ai2c = new Apv25I2cChannelLt( 0);
  PllI2cChannelInterface* pi2c = new PllI2cChannelLt( 0);
  MuxI2cChannelInterface* mi2c = new MuxI2cChannelLt( 0);
  cout <<"_________end of construction __________________"<<endl;
  cout << endl<< "currents " ;cout <<*checkcurrent; cout << endl;
  cout << "current " <<  *current <<endl ;
  cout<<"temperature";cout<< *NTC0;  cout << endl;
  cout  << *NTC1;cout << endl;
  cout<< *T0;cout << endl;cout << *H1 <<endl;
  
  pi2c->setInit(0xF);
 
  pi2c->setLatency(40);
   pi2c->justDoIt();
  cout << "spill=" <<  f1->getSpillNumber();
  cout << "spill=" <<  f1->getSpillNumber();
  Hv0->Info();
  delete mi2c;
  delete pi2c;
  delete ai2c;
//  delete FedPC;
  delete f1;
  delete current;
  delete NTC0;
  delete NTC1;
  delete H1;
  delete checkcurrent;
  delete Hv0;
  delete TC0;
  delete T0;
  for (int lc =0 ; lc < nrPB ; lc++)
  {  delete BenchP[lc];
  }
  ltparser->clear();
  delete ltparser;
   
    return 0;
  }
