using namespace std;
#include <iostream>
#include <cstdlib>
#include "i2cid.h"
using namespace I2cId;

void usage (){
  cout <<" give i2ctype , device nr, sub dev , channel, 
        subchannel/i2c address" <<endl;
  cout<< " or b boardnr  " <<endl;
  cout <<" for tsci2c give " << TSCI2CCHANNEL <<endl;
  cout <<" for pmci2c  give " <<  PMCI2CCHANNEL <<endl;
}
void  showid (int boardnr, int address, int channel,int subdev,
			 int  device,  i2cdevicetypes type  ){
  cout <<" boardnr "<< boardnr<<" address "<<address 
       <<" channel "<< channel<<" subdev " << subdev
       <<"  device "<< device<<endl<<" type ";
    switch( type){
      case TSCI2CCHANNEL : cout << TSCI2CCHANNEL <<" TSCI2ctype"<<endl;
	break;
      case  PMCI2CCHANNEL : cout <<  PMCI2CCHANNEL <<" PMCI2ctype"<<endl;
	break;
      default: 
	cout << type << " invalid "<< endl;
    }
}

int main( int argc , char** argv){
  i2cdevicetypes type=INVALID; 
  int device = -1;
  int subdev =-1;
  int channel= -1; 
  int address= -1;
  int boardnr=-1;
  if( argc  < 2 ) { usage();    return -1;
  }
  if ( argv[1][0] == 'b' ){
    boardnr=  atoi(argv[2]);
    decodeI2cBoardNr(boardnr,address, channel, subdev,
		     device,   type  );
    showid ( boardnr,address, channel, subdev,
		     device,   type  );
    return 0;
  }
  else {
    if(argc  < 6 ) { usage();    return -1;
    }
    type= i2cdevicetypes(atoi(argv[1]));
    device = atoi(argv[2]); 
    subdev = atoi(argv[3]); 
    channel=  atoi(argv[4]); 
    address= atoi(argv[5]);
    boardnr=  calculateI2cBoardNr(address, channel, subdev,
				  device,   type  );
    showid ( boardnr,address, channel, subdev,
		     device,   type  );
      return boardnr;  
  }
}

