#include "Root.h"
#include "RecHeader.h"
#include "RecSetup.h"
#include "RecModule.h"
#include <TBrowser.h>
#include "Record.h"
#include "OnlineMonitor.h"
//only for  test program 

int main(int argc, char **argv)
{
//
  TH1F* hped;
cout << "start " << endl;
  int nmod=2;
  vector<int> napvs;
  vector<ModId*> modid;
  napvs.resize(nmod);
  napvs[0]=2;napvs[1]=2;
  Record *record=new Record();
 record->ConstructSetup(6,3);
 cout << "setup constructed" << endl;
 string operatorname= "thebest";
 string modtype ="testmodule";
 string centre ="none";
 string moduleid="12345";//all the same 
 for (int i=0;i<nmod;i++){
   
   modid.push_back(new ModId(moduleid.c_str(),napvs[i],modtype.c_str(),
			    i,(unsigned int)123430+i,
			    false,operatorname.c_str(),centre.c_str()));
   record->ConstructModule(i,modid[i],napvs[i]);
 }
  cout << "modules constructed" << endl;
//
  RecHeader *header=record->getheader();
  cout << "header assigned" << endl;
  RecSetup *setup=record->getsetup();
  cout << "setup assigned" << endl;
  vector<RecModule*> modules=record->getmodules();
  cout << "modules assigned" << endl;
//
  for (int i=1;i<=3;i++)
    {
      header->setsettings("SETTINGS");
      cout << "header->setsettings('SETTINGS')" << " getev()=" << header->getsettings() << endl;
      header->setev(1);
      cout << "header->setev(1)" << " getev()=" << header->getnev() << endl;
      header->setapvmode(2);
      cout << "header->setapvmod(2)" << " getapvmod()=" << header->getapvmod() << endl;
//
      float vt;
      setup->settemptag(11);
      cout << "setup->settemptag(11)" << " gettemptag()=" << setup->gettemptag()  << endl;
// 
      int k=0;
      for (vector<RecModule*>::iterator nmod=modules.begin();
	   nmod != modules.end(); nmod++)
	{
	   hped=(*nmod)->THpedestal();
	   hped->SetBinContent(50,20+(i-1)*5);
	}
        cout << "module " << k << " modules->THpedestal()" << endl;
        char str[32];
	sprintf(str,"record-%d.root",i);
	record->Save(str);
	cout << "record saved - record.root" << endl;
    }
  OnlineMonitor *om;
  om=new OnlineMonitor(record);
  cout << "server constructed" << endl;
  om->StartThread();
  cout << "server started" << endl;
  bool loopb=true;
  while (loopb) {;}
  delete record;
  // has to delete modid's but leave it to the closing of the program to lazy 
}
