#ifndef _ReadUtil_h_
#define _ReadUtil_h_
#
#include <TGraph.h>
#include <TNamed.h>
#include <TProfile.h>
#include <TH1.h>
#include <TH2.h>
#include <TVector.h>
#include <TVectorD.h>
#include <qstring.h>
#include "DbForm.h"
/** \brief Reads localDb to   Qstrings for the xml db file.
    \author V.Zhukov,UIA   
     \version 2.0 
     \date 03/2003
 
*/

namespace ReadUtil {

extern QString Root2Str(TH1F* h,DbForm dbl);
extern QString Root2Str(TProfile* p,DbForm dbl);
extern QString Root2Str(TGraph* g,DbForm dbl);
extern QString Root2Str(TVector* v,DbForm dbl);
extern QString Root2Str(TVectorD* v,DbForm dbl);
extern QString Root2StrI(TVector* v,DbForm dbl);
extern QString Root2StrL(TVector* v,DbForm dbl);
extern QString Root2Str(TNamed* n,DbForm dbl);
 extern int to_int(float f);
};
#endif
