#ifndef AD4717CALC_H
#define AD4717CALC_H 

class NormI2c;
class Ad4717Getter;

class Ad4717Calc {
 public:
  Ad4717Calc(NormI2c *i2c,unsigned char addr );
  
  ~Ad4717Calc();

  int  getChannelValue( 
    unsigned char  chan, int nraqc,  float &value,
    unsigned short  &min, unsigned short  &max,float &sig);

  int getTemperature( unsigned char  chan, int nraqc, 
		       float &value,float  &min, float   &max,float &sig);

  int PowerOn(bool poweron);
  
  void setAddress( unsigned char addr){fAddress=addr;}
 private:
  Ad4717Getter* fAd;
  unsigned char fAddress;
};
#endif
