#ifndef AD4717CTRLIMPL_H
#define AD4717CTRLIMPL_H

#include "ad4717ctrlui.hxx"


class NormI2c;
class Ad4717Calc;
class Ad4717CtrlImpl : public Ad4717CtrlUi
{

 Q_OBJECT

 public:
  Ad4717CtrlImpl(NormI2c* ni2c,QWidget* parent = 0, 
		 const char* name = 0, WFlags fl = 0); 
 virtual ~ Ad4717CtrlImpl();
 
 public slots:
   virtual void ReadCh0();
    virtual void ReadChT();
    virtual void ReadCh1();
    virtual void ReadCh2();
    virtual void ReadCh3();
    virtual void SetPower( bool on );
    virtual void setAddress(int i);
 private: 
void Ad4717CtrlImpl::ResetCh(QPushButton *PBch,
			     QLCDNumber* LCh, 
			     QLCDNumber* LMinCh,QLCDNumber*  LMaxCh );
    void ReadCh( unsigned char  chan,QPushButton *PBch,
			     QSpinBox* SbAvgNrCh,  QLCDNumber* LCh, 
				 QLCDNumber* LMinCh,QLCDNumber*  LMaxCh ) ;    
    NormI2c* fNI2c;
    Ad4717Calc* fAd;
    void ResetValues();
};
#endif
