#ifndef CALCCALVALUES_H
#define CALCCALVALUES_H

namespace CalcCalValues {
  /** calculates the gain or coefficient for two given pair 
      This can be used for functions that calcutate a value
      using a linear function
      value = gain * ( measurment - refmeasurement)  + refvalue 
      assume a current meausering system 
      ref1 = 0 A , meas1 = 100 (offset )
      ref2 = 1.25A (refvalue) , meas 2 = 2600 (ref measurement);
      the gain will be 1/2000  . 
   */
  float CalcGain(float  ref1, float meas1, float ref2, float meas2);
};
#endif
