#ifndef MODULEMENUIMPL_H
#define MODULEMENUIMPL_H

#include "modulemenuui.hxx"
#include "moduleinfodisplayexch.h"

class QFocusEvent;
class OptoModInfo;

class ModuleMenuImpl: public ModuleMenuUi {
   Q_OBJECT
     
     public:
   enum ModuleMenuStatus{UNKNOWN,OUTFOCUS,INFOCUS,CLOSSED};
   ModuleMenuImpl(OptoModInfo* mi,QWidget* parent= 0 , const char* name= 0 , WFlags fl= 0 );
   ~ModuleMenuImpl();
   
   public slots:
     virtual void updateModuleInfo();

 signals: 
   void focusStatus(int  mms);
 protected:
   virtual void  focusOutEvent(QFocusEvent* qevent);
   virtual void  focusInEvent(QFocusEvent* qevent);
   void closeEvent ( QCloseEvent * e );
   OptoModInfo* fMi;
   // shoud be inherited from but problems with moc 
   ModuleInfoDisplayExch fMe;
};

#endif
