#ifndef OPTOMODINFOPARSER
#define OPTOMODINFOPARSER

#include <string>
class OptoModInfo;
class DOM_Node;
class CenterInfo;
class StructureInfo;
class OptoModInfoParser {
 public:
  /** parse the node and creates a optomodule info.
      The caller has to be take care of deleting this 
   */
  OptoModInfoParser(DOM_Node &ei){
    fMi=0;fFollownr=-1;
    fCenterInfo=0;
    fFollownr=parseNode(ei);

  }

OptoModInfoParser(OptoModInfo* mi,DOM_Node &ei){
  fMi=mi;
    fCenterInfo=0;
    fFollownr=parseNode(fMi,ei);
  }

  ~OptoModInfoParser(){}
  /** sets the informatio of mi to the node 
      @ei  DOM_Node to be set 
      @subnodes if this is true also the subnode information is set
  */
  static void  setNode(OptoModInfo* mi, DOM_Node &ei,bool subnodes=true);

  static void  setNode(OptoModInfo* mi, bool subnodes=true);
  
  //bool  setNode(int i,bool subnodes=true);
  // int getNrOptoMods(){ return modules.size();}
  // OptoModInfo*  getOptoModInfo(int i){ return modules.getP(i);}
  OptoModInfo*  getOptoModInfo(){ return fMi;}
  int getFollowNr() {return fFollownr;}
 protected: 
  CenterInfo* fCenterInfo;
  StructureInfo* fStructureInfo;

 private:
   /** parse the node and stores the info in mi 
   */
  int   parseNode(OptoModInfo* mi, DOM_Node &ei);
  /** parse the node and created a new entry in the modules
   */
  int   parseNode(DOM_Node &ei);
  int fFollownr;
  OptoModInfo* fMi;
  static  void setSubNodes(OptoModInfo* mi,DOM_Node &ei);

  //pmap <int, OptoModInfo*> modules;
};

#endif 

