#ifndef PAACBTERSTERIMPL_H
#define PAACBTERSTERIMPL_H
#include "paacbtesterui.hxx"
class MeasureChannel;
class Ad4717CtrlImpl;
class I2cPmcDevice;
class  Pcf8574CtrlImpl;
class VI2C;
class NormI2c;
class TscI2cDevice;

class PaacbTesterImpl : public PaacbTesterUi 
{
  Q_OBJECT
    public slots:
   virtual void TMP2Update();
   virtual void  ITHUpdate();
   virtual void ITHMeas();
   virtual void TMP2Meas();
   virtual void C25Meas();
   virtual void C125Meas();
   virtual void C125Update();
   virtual void C25Update();
   virtual void store();
   virtual void EnableEditResults(bool editen);
   virtual void MakeReport();
   virtual void fileSave();
   virtual void clearResults();
   virtual void fileExit();
 public: 
  PaacbTesterImpl(QWidget* parent,
   const char* name, WFlags f=0 ) ;
  virtual ~PaacbTesterImpl();
 private:
  Ad4717CtrlImpl* fAd;
  Pcf8574CtrlImpl* fIo;
  MeasureChannel* fTmp2;
  MeasureChannel* fIth;
  MeasureChannel* fC25;
  MeasureChannel* fC125;
  I2cPmcDevice* fI2cdevice;
  VI2C* fI2cVme;
  TscI2cDevice* fI2cTsc;
  NormI2c* fNI2c;

};
#endif 
