#ifndef  PCF8574IMPL_H
#define  PCF8574IMPL_H

#include "pcf8574ctrlui.hxx"
class NormI2c;

class Pcf8574Ctrl;

class Pcf8574CtrlImpl: public Pcf8574CtrlUi{

  Q_OBJECT

 public:
  Pcf8574CtrlImpl( NormI2c* i2c, QWidget* parent = 0, 
	       const char* name = 0, WFlags fl = 0);
  virtual ~Pcf8574CtrlImpl();

  public slots:
    virtual void ch0( bool );
    virtual void ch1( bool );
    virtual void ch2( bool );
    virtual void ch3( bool );
    virtual void ch4( bool );
    virtual void ch5( bool );
    virtual void ch6( bool );
    virtual void ch7( bool );
    virtual void ReadBackDio();
    virtual void setAddress(int );
 private:
  NormI2c* fI2c;
  Pcf8574Ctrl* fIoCtrl;
  void setButColor(QWidget* pb,QColor color);
};

#endif
