#ifndef POSITIONINFO
#define POSITIONINFO


class PositionInfo {
 
  // friend class OptoModInfo; 
 public:
  enum structside{FRONTSIDE,BACKSIDE,FRONTSTEREO,BACKSTEREO};
  PositionInfo(){
    fStereo=false; fFront=true;fRing=-1;
    fFollownr=-1;fRingPos=-1;fCcuCh=-1;fCcuNr=-1;fCcuAddr=-1;
  }
  ~PositionInfo(){}
  int getFollowNr(){ return fFollownr;}
  int getRingPos(){ return fRingPos;}
  int getRing(){ return fRing;}
  int getCcuNr(){return fCcuNr;}
  int getCcuCh(){return fCcuCh;}
  int getCcuAddr(){ return fCcuAddr;}
  structside  getSidePos() {
    structside ss=FRONTSIDE;
    if( fFront) {if (fStereo){ ss=FRONTSTEREO;}}
    else { ss= fStereo?BACKSTEREO:BACKSIDE;}
    return ss;
  }
  /// sets the CCU address this can not always done during parsing 
  void setCcuAddr( int addr) { fCcuAddr=addr;}
  // for debuging only 
  void setRingPos(int i) { fRingPos=i;}
  protected:
   int fFollownr; // for rods and structures
    bool fStereo;
    bool fFront;
    int fRing;
    int fRingPos;
    int fCcuCh;
    int fCcuNr;
    int fCcuAddr;
  
};

#endif
