#include <iostream>

#include "lthvctrlimpl.h"
#include <qmessagebox.h>
#include <qpushbutton.h>
#include <qcheckbox.h>
#include <qradiobutton.h>
#include <qdatetime.h>
#include <qlcdnumber.h>
#include <qspinbox.h>
#include <qtimer.h>
LtHvCtrlImpl::LtHvCtrlImpl( QWidget* parent,
                                const char* name, bool modal, WFlags f ) :
    LtHvCtrlUi( parent, name, modal, f )
{ DeviceId->setValue(1000); 
 fCurrentDeviceId=-1;fNextHvValue=0;
curtimer=new QTimer(this);
 connect(curtimer,SIGNAL(timeout()),this,SLOT(ChangeHvT()) );
curtimer->start(2000,FALSE);
}
 
     
void LtHvCtrlImpl::HvSetChange(int value )
{ cout << "new voltage" << value<< endl;
 fNextHvValue=value;
 SetHv->setOn(false);

}

void LtHvCtrlImpl::setHv()
{ 
ActHv->display(fNextHvValue+2);
// SetHv->setOn();
}

void LtHvCtrlImpl::ChangeHvT()
{ fNextHvValue++;
 ActHv->display(fNextHvValue+2);
}


void LtHvCtrlImpl::setDeviceId(int value )
{ cout << "new Device " << value<< endl;
 fNextDeviceId=value;

 setLtDevice->setOn(false);
}

void LtHvCtrlImpl::setDevice()
{ 
  if( ! (fNextDeviceId == fCurrentDeviceId))
  {
  cout << "switch from" << fCurrentDeviceId <<"to"<<fNextDeviceId<<endl;
fCurrentDeviceId=fNextDeviceId;
    ActDevice->display(fCurrentDeviceId);}
}
