#include "modulemenuimpl.h"
#include "moduleinfo.h"
#include "optomodinfo.h"
#include <qlineedit.h>
const bool enable=true;

ModuleMenuImpl::ModuleMenuImpl(OptoModInfo* mi, QWidget* parent , 
			       const char* name , WFlags fl ):
  ModuleMenuUi(parent , name, fl){

  setFocusPolicy(QWidget::ClickFocus );
   
 
  fMi=mi;
 if(fMi){
   qDebug("opto mod info found ");
   fMe.addModuleDisplayInfo(modbenchp1,modid1,modtype1,modnrapv1,
			    dcunr1,checkdcu1,LCDRing,LCDRingPos,
			    delay25ns,finedelay
			    );
   fMe.setOperator(Opperator);
   fMe.setTestCenter(Center);
   Opperator->setText(fMi->fOperator.c_str());
   Center->setText(fMi->fcenter.c_str());
   fMe.enableModuleField( enable);
   //fMe.enableTestCenterField( enable);
  //fMe.enableOperatorField( enable);
   fMe.writeModuleInfo(fMi);
   qDebug("mod info writen");
   QString qs("Module Properties Ring ");
   QString qs2;
   if (fMi->fModPi){
     qs2=qs2.setNum(fMi->fModPi->getRing()); 
   }
   else {qs2="unknown";}
   qs+=qs2;
   qs+=" Position ";
   if (fMi->fModPi){
     qs2=qs2.setNum(fMi->fModPi->getRingPos()); 
  }
   else {qs2="unknown";}
   qs+=qs2;
   setCaption(qs);
 }
}

void ModuleMenuImpl::focusOutEvent(QFocusEvent* qevent){
  qWarning("q out event " );
  QWidget::focusOutEvent(qevent);
  emit focusStatus(OUTFOCUS);
}

void ModuleMenuImpl::focusInEvent(QFocusEvent* qevent){
  qWarning("q in  event " );
  QWidget::focusOutEvent(qevent);
  emit focusStatus(INFOCUS);
}

void ModuleMenuImpl::closeEvent ( QCloseEvent * e ){
  emit  focusStatus(CLOSSED);
}

void ModuleMenuImpl::updateModuleInfo(){
   fMe.setModuleInfo();
}

ModuleMenuImpl::~ModuleMenuImpl(){
  qWarning("menu destroyed");
  //emit  focusStatus(CLOSSED);
}
