/****************************************************************************
** Form implementation generated from reading ui file 'src/modulewidgetui.ui'
**
** Created: Mon Jul 21 06:40:08 2003
**      by:  The User Interface Compiler (uic)
**
** WARNING! All changes made in this file will be lost!
****************************************************************************/
#include "modulewidget.h"
#include <qpainter.h>
#include <qcolor.h>
#include <qvariant.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include "modulemenuimpl.h"
#include "qpushbutton.h"
#include "qaction.h"
#include "qpopupmenu.h"
#include "optomodinfo.h"
/* 
 *  Constructs a ModuleWidget which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
ModuleWidget::ModuleWidget(OptoModInfo* mi, QWidget* parent,  
			   const char* name, WFlags fl )
    : QWidget( parent, name, fl ){
  fModnr=mi->getFollowNr();
  fMi=mi;
  setWedgeShape(true);
  fParent=parent;
   //  QPixmap image0( ( const char** ) image0_data );
    if ( !name )
	setName( "ModuleWidget" );
    resize(70, 70 ); 
    setBackgroundOrigin( QWidget::ParentOrigin );
    setCaption( trUtf8( "ModuleWidget" ) );
    fModColor=QColor(Qt::darkGreen);   
    fmodule_state=NOTINITIALIZED;
    fSelected =false;
    fMM=0;//new ModuleMenuImpl(this, "module 2");fMM->raise();
    fMenuFocus=false;
    PushButton1 =0;
    // PushButton1 = new QPushButton( this, "PushButton1" );
    //PushButton1->setGeometry( QRect( 10, 20, 40, 30 ) ); 
    //PushButton1->setText( trUtf8( "pb" ) );

    propAction=new QAction( this,"propAction");
    actAction=new QAction( this,"actAction");
    leftBMenu=new QPopupMenu(this);
    actAction->addTo(leftBMenu);
    actAction->setText( trUtf8("actions"));
    actAction->setMenuText( trUtf8( "actions" ) );
    propAction->addTo(leftBMenu);
    propAction->setText( trUtf8( "Properties" ) ); 
    propAction->setMenuText( trUtf8("Properties" ) ); 
    connect(propAction,SIGNAL( activated() ), this, SLOT(createModuleMenu()));
    connect(actAction,SIGNAL( activated() ), this, SLOT(createActionDialog()));
    
}

/*  
 *  Destroys the object and frees any allocated resources
 */
ModuleWidget::~ModuleWidget()
{
  delete fMM; 
}


void ModuleWidget::createModuleMenu(){
  if(! fMM){
    qWarning("create module menu");
    fMM= new ModuleMenuImpl(fMi,this, "module 2",Qt::WType_Dialog );
    fMM->show();
    if(fMM){
      connect(fMM,SIGNAL(focusStatus(int ) ),
	      this,SLOT(menuFocus(int )));
    }
    else { qWarning("unexpectd fMM");}
    fMenuFocus=true;
  }
  update(); 
}

void ModuleWidget::createActionDialog(){
 
    qWarning("action dialog not yet implemented");
    
}

void ModuleWidget::removeModuleMenu(){
  qWarning("delete  module menu");
  delete fMM;fMM=0; fMenuFocus=false;
  update();
}

void ModuleWidget::setWedgeShape(bool ws){
  fWedge=ws?6:0;
}

void ModuleWidget::paintRectFrame(  QPainter* qp){

   QPainter painter(this);
    QBrush lightBrush(fModColor);
  QBrush darkBrush(Qt::black);
  int w=width();
  int h=height();
  QColor black=Qt::black;
  QColor white=Qt::white; 
  int fw=2;
  int fR= fWedge==0?0:w/fWedge;
  QPointArray fillarea(4);
  fillarea.putPoints(0,4, fw+1,fw+1  ,  fR+fw,h-fw-1 , 
		     w-fR-fw,h-fw-1 , w-fw-1,fw+1);
  painter.setBrush( 
    (fmodule_state==NOTINITIALIZED)? lightBrush : darkBrush);
     {
      if ( fSelected){
	//qWarning("is selected");
	painter.setPen(QPen(white,fw));
	painter.drawLine(0, 0, fR, h-fw);
	painter.drawLine(fw, 0, w-fw, 0);
	painter.setPen(QPen(black,fw));
	painter.drawLine(fR+fw, h-fw, w-fR-fw, h-fw);
	painter.drawLine(w-fw, fw, w-fR, h-fw);
      }
      else {
	//qWarning("is not selected");
	painter.setPen(QPen(backgroundColor(),fw));
	painter.drawLine(0, 0, fR, h-fw);
	painter.drawLine(1, 0, w-fw, 0);
	painter.drawLine(fR+fw, h-fw, w-fR-fw, h-fw);
	painter.drawLine(w-fw, fw, w-fR, h-fw);
      }
      painter.setPen(Qt::NoPen); 
      painter.drawPolygon(fillarea);
      //qWarning("frame painted");      
     } 
     if( fMM) {
       painter.setPen(Qt::NoPen); 
       painter.setBrush(Qt::blue);
       painter.drawEllipse (fw+1+fR,fw+1+4,fR,fR); 
     }
}

void ModuleWidget::simplePaint(){
QPainter paint( this );
        paint.setPen( Qt::blue );
        paint.drawText( rect(), AlignCenter, "The Text" );
	qWarning("simple paint finished");
}

void ModuleWidget::paintEvent(QPaintEvent *){
  
  paintRectFrame();
  if( fMenuFocus){
    drawFocusRect();
  }


}

void ModuleWidget::menuFocus(int menustatus){
  ModuleMenuImpl::ModuleMenuStatus mms= 
    (ModuleMenuImpl::ModuleMenuStatus)menustatus;
  switch( mms){
    case ModuleMenuImpl::OUTFOCUS : {
      fMenuFocus=false;
    }
    break;
    case ModuleMenuImpl::CLOSSED : {
      fMenuFocus=false;
      removeModuleMenu();
    }
    break;
    case ModuleMenuImpl::INFOCUS : {
      fMenuFocus=true;
    }
    break;
    default: fMenuFocus=false;
  }
  update();
//  fParent->update();
  
}



void ModuleWidget::drawFocusRect(){
  
  QPainter painter(this);
  int w=width();
  int h=height();
  painter.setPen(Qt::red);
  painter.drawLine(0,0, 0,h-1);
  painter.drawLine(1,h-1,w-2,h-1);
  painter.drawLine(w-1,h-1,w-1,0);
  painter.drawLine(w-2,0,1,0);
  

}

void ModuleWidget::mouseDoubleClickEvent ( QMouseEvent * e ) {
  
  switch(e->button()){
    case Qt::NoButton :{
    }
    break;
    case Qt::LeftButton:{
    }
    break; 
    case Qt::RightButton:{
      removeModuleMenu();
    }
    break;  
    case Qt::MidButton :{
    }
    break;
    case Qt::ShiftButton :{
    }
    break; 
    case Qt::ControlButton:{
    }
    break; 
    case Qt::AltButton  :{
    }
    break;
    case Qt::MetaButton  :{
    }
    break;
    case Qt::Keypad :{
    }
    break;
    case Qt::KeyButtonMask  :{
    }
    break;
    case Qt::MouseButtonMask  :{
    }
    break;
  }
 
}
void ModuleWidget::mousePressEvent ( QMouseEvent * e ){
  switch(e->button()){ 
    case Qt::NoButton :{
    }
    break;
    case Qt::LeftButton:{
      fSelected=!fSelected;
      update();
      //moduleSelected();
    }
    break; 
    case Qt::RightButton:{
      leftBMenu->move(this->mapToGlobal(e->pos()));
      leftBMenu->show();
    }
    break;  

    case Qt::MidButton :{
    }
    break;
    case Qt::ShiftButton :{
    }
    break; 
    case Qt::ControlButton:{
    }
    break; 
    case Qt::AltButton  :{
    }
    break;
    case Qt::MetaButton  :{
    }
    break;
    case Qt::Keypad :{
    }
    break;
    case Qt::KeyButtonMask  :{
    }
    break;
    case Qt::MouseButtonMask  :{
    }
    break;
  }

}

/*
switch(){
  case Qt::NoButton :{
  }
  break;
  case Qt::LeftButton:{
  }
  break; 
  case Qt::RightButton:{
  }
  break;  
  case Qt::MidButton :{
  }
  break;
  case Qt::ShiftButton :{
  }
  break; 
  case Qt::ControlButton:{
  }
  break; 
  case Qt::AltButton  :{
  }
  break;
  case Qt::MetaButton  :{
  }
  break;
  case Qt::Keypad :{
  }
  break;
  case Qt::KeyButtonMask  :{
  }
  break;
  case Qt::MouseButtonMask  :{
  }
  break;
}
}
*/
