#include "pcf8574ctrlimpl.h"
#include "pcf8574ctrl.h"

#include "qspinbox.h"
#include "qpushbutton.h"


Pcf8574CtrlImpl::Pcf8574CtrlImpl(NormI2c* i2c,QWidget* parent , 
			  const char* name , WFlags fl ): 
  Pcf8574CtrlUi(parent){
  fI2c=i2c;
  fIoCtrl=new Pcf8574Ctrl(fI2c,(unsigned char) SBAddress->value());

}

Pcf8574CtrlImpl::~Pcf8574CtrlImpl(){

}
void Pcf8574CtrlImpl::ch0( bool on){
  if(  fIoCtrl->setIo(0,on)>=0)  {
    setButColor(PBdio0,QColor(0,255,0));
  }
  else {
    setButColor(PBdio0,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch1( bool on){
if(  fIoCtrl->setIo(1,on)>=0)  {
    setButColor(PBdio1,QColor(0,255,0));
  }
  else {
    setButColor(PBdio1,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch2( bool on){
 if(  fIoCtrl->setIo(2,on)>=0)  {
    setButColor(PBdio2,QColor(0,255,0));
  }
  else {
    setButColor(PBdio2,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch3( bool on){
 if(  fIoCtrl->setIo(3,on)>=0)  {
    setButColor(PBdio3,QColor(0,255,0));
  }
  else {
    setButColor(PBdio3,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch4( bool on){
 if(  fIoCtrl->setIo(4,on)>=0)  {
    setButColor(PBdio4,QColor(0,255,0));
  }
  else {
    setButColor(PBdio4,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch5( bool on){
 if(  fIoCtrl->setIo(5,on)>=0)  {
    setButColor(PBdio5,QColor(0,255,0));
  }
  else {
    setButColor(PBdio5,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch6( bool on){
 if(  fIoCtrl->setIo(6,on)>=0)  {
    setButColor(PBdio6,QColor(0,255,0));
  }
  else {
    setButColor(PBdio6,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ch7( bool on){
 if(  fIoCtrl->setIo(7,on)>=0)  {
    setButColor(PBdio7,QColor(0,255,0));
  }
  else {
    setButColor(PBdio7,QColor(255,0,0));
  }
}
void Pcf8574CtrlImpl::ReadBackDio(){
 
}

void  Pcf8574CtrlImpl::setAddress(int adr){
  fIoCtrl->setAddress((unsigned char) SBAddress->value());
}

void  Pcf8574CtrlImpl::setButColor(QWidget* pb,QColor color){
  QPalette pal= pb->palette();
  QColorGroup  cg=pal.active();
  cg.setColor(QColorGroup::Button,color);
  pal.setActive(cg);
  pb->setPalette(pal);
}
