
#include "smwg.h"

#include <qvariant.h>
#include <qlayout.h>
#include <qtooltip.h>
#include <qwhatsthis.h>
#include <qpixmap.h>
#include <qlabel.h>
static const char* const image0_data[] = { 
"22 22 57 1",
". c None",
"h c None",
"a c None",
"# c None",
"b c #e6dee6",
"g c #e6e2e6",
"q c #e6e2e6",
"J c #e6dee6",
"M c #e6e2e6",
"n c #e6dee6",
"v c #dedede",
"R c #e6dee6",
"U c #e6e2e6",
"i c #e6e2e6",
"u c #e6dee6",
"G c #e6e2e6",
"N c #dedede",
"Q c #e6e2e6",
"2 c #dedede",
"V c #e6e2e6",
"c c #e6dee6",
"f c #e6e2e6",
"k c #e6e2e6",
"E c #acaaac",
"F c #b4aeb4",
"y c #e6e2e6",
"m c #b4aeb4",
"W c #acaaac",
"1 c #b4aeb4",
"I c #acaaac",
"H c #b4aeb4",
"o c #e6e2e6",
"T c #acaaac",
"S c #b4aeb4",
"A c #acaaac",
"z c #b4aeb4",
"0 c #acaaac",
"X c #b4aeb4",
"L c #acaaac",
"K c #b4aeb4",
"P c #acaaac",
"O c #b4aeb4",
"B c #acaaac",
"D c #b4aeb4",
"Y c #acaaac",
"Z c #b4aeb4",
"j c #00ff00",
"l c #31ff31",
"r c #39ff39",
"p c #6aff6a",
"s c #73ff73",
"t c #9cff9c",
"w c #a4ffa4",
"e c #acaaac",
"d c #b4aeb4",
"C c #d5ffd5",
"x c #deffde",
"......................",
"......................",
"..#a#b#cdededefaga#a..",
"..h#hiedjjjjjjedh#h#..",
"..#akejjjjljjjjjmn#a..",
"..hoejjllppllljjjdh#..",
"..qejjrpstspslrljjdu..",
"..vdjlpwtxtwpplljjey..",
"..zjjlstxxxtwpslrjjA..",
"..BjjptxCxCwtpplljjD..",
"..djlpstxCxtwpslljje..",
"..BjjlpwtwtwtpplljjD..",
"..zjjlspwtwtspslrjjA..",
"..EjjlppppppppllljjF..",
"..Gejjrpspspslrljjdu..",
"..hHjjlllllllllljjI#..",
"..#JKjjjrlllrljjjLMa..",
"..h#NOjjjjjjjjjjPQh#..",
"..#a#RSejjjjjjdTUa#a..",
"..h#h#hVWXYZ012#h#h#..",
"......................",
"......................"};

/* 
 *  Constructs a EmptyWindowUi which is a child of 'parent', with the 
 *  name 'name' and widget flags set to 'f'.
 */
SmWg::SmWg( QWidget* parent,  const char* name, WFlags fl )
    : QWidget( parent, name, fl )
{
  QPixmap image0( ( const char** ) image0_data );
    if ( !name )
	setName( "Empty" ); 
     setCaption( trUtf8( "Empty" )) ;
     PixmapLabel1 = new QLabel( this, "PixmapLabel1" );
    PixmapLabel1->setGeometry( QRect( 0, 0, 10, 10 ) ); 
    PixmapLabel1->setPixmap( image0 );
    PixmapLabel1->setScaledContents( TRUE );

}

/*  
 *  Destroys the object and frees any allocated resources
 */
SmWg::~SmWg()
{
    // no need to delete child widgets, Qt does it all for us
}

