#include "petalwidgetimpl.h"
#include "daqerrormsg.h"
#include "optomodwidget.h"
#include "optomodinfo.h"

PetalWidgetImpl::PetalWidgetImpl
(QWidget* parent , const char* name , WFlags fl ):
  PetalWidgetUi(parent){
}
 
PetalWidgetImpl::~PetalWidgetImpl(){}

void PetalWidgetImpl::addOptoMod(OptoModInfo* mi){
  int spacing=1;
  OptoModWidget* 
    mwg= new OptoModWidget(mi, this);
  int j=(7-mi->getRing())/2;
  int i=mi->getRingPos();
  qDebug("ring  %d  drawing pos  %d , pos %d",mi->getRing(),j,i);
  QRect df(mwg->frameGeometry());
  df.moveBy(50+i*(spacing+df.width())+j*40,
	    40+j*(3*spacing+df.height()));
  //df.moveBy(10,10);
  mwg->setGeometry(df);
  mwgv.push_back(mwg);
       
}
