#include <qapplication.h>
#include "emptywindowimpl.h"
#include "dutsparser.h"
#include "daqerrormsg.h"
#include <iostream>
#include "structureparser.h"
#include "optomodinfoparser.h"
#include "DOMTreeWriter.hpp"
#include "structureinfo.h"

using namespace std; 

int main( int argc, char* argv[] )
{
  // DutsParser dutparser;
  // calls the module parser that stores the parsed info in a static 
  // if(dutparser.parseFile( )) { 
  //  cout << "parse error see above "<< endl;
  //  return -1;
  // }
 
  QApplication app( argc, argv );
  EmptyWindowImpl ew(0,"empty window");
  app.setMainWidget( &ew);
  
  ew.show();
  int ret = app.exec();
  int nrmodules=20; // should come for petal parser 
  // update the parser document before writing
  StructureInfo* si= StructureParser::getStructureInfo("Petal");
  for (int i=0;i<nrmodules;i++){
    OptoModInfo* mi=si->getOptoModInfo(i);
    if( mi){
      OptoModInfoParser::setNode(mi);
    }    
  }
 //string resultfilename="resultfile";
  //ofstream rf(resultfilename.c_str());
  //if(! rf){ cerr<< "can not open "<<resultfilename <<endl;}
//  DOMTreeWriter(dutparser.getDocument(),cout);
  return ret;
}
