#ifndef HybridSettingImpl
#define HybridSettingImpl
#include "HybridSettingsUi.hxx"

class Monitorimpl;
class ModuleTestSetup;
class I2cDescriptor;
class HybridSettingsImpl : public HybridSettingsUi 
{
  Q_OBJECT
 
 public:
  HybridSettingsImpl( Monitorimpl* monitorimpl,QWidget* parent ,  const char* name , WFlags fl=0  );
  ~HybridSettingsImpl();
  void setTestSetup(  ModuleTestSetup* testsetup) { thetestsetup=testsetup;}

 /** writes the values from the I2cDectriptor to the ApvSettings in 
      the Settings Tab
  */
  void writeI2cSettingsDisplay( I2cDescriptor* curi2c);
  public slots:
  
  virtual void ApplyI2C();
  virtual void InitPll();
  virtual void HardReset(); 
  virtual void ApplyOpto(); 
  private :
    Monitorimpl* fMi;
    ModuleTestSetup* thetestsetup;
 
};


#endif
