#ifndef MODULEINFOGEN
#define MODULEINFOGEN


#include <vector>
#include <qwidget.h>
#include "substructtypes.h"
class ModId;
class ModuleInfoDisplayImpl;
class LtParser;
#ifdef SUBSTRIMPL
class StructureImpl;  
      
#endif  
class ModuleInfoGen {
// not a real q object but is easier to use qt here 
  // Q_OBJECT

    public:

  ModuleInfoGen(LtParser *lt,QWidget* parent = 0,const char* name = 0);
  ~ModuleInfoGen();
  void resetModuleInfo();
  void setActiveBenchEntries();
  int initModuleInfo();
  void setEditEnable(bool);
  ModId*  getModIdInfo(int lc);
  std::vector<ModId*>*  getNotValidMod();
  std::vector<ModId*>* getModIdInfo();

 private:
  lttest::substructtypes fST;
  ModuleInfoDisplayImpl* fMdi;
#ifdef SUBSTRIMPL
  StructureImpl* fSi;      
#endif  
  std::vector<ModId*>* fVM;
};
#endif
