#ifndef _MonitorStatus_H
#define _MonitorStatus_H

#include <stdio.h>
#include <qstring.h>
#include <map>

/** 
\brief  Status of  the Monitor GUI

<p>     Status flags for the Monitor GUI

  \class MonitorStatus
   \authors: V.Zhukov,UIA
   \date 06/2002
   \version 2.0


*/

class MonitorStatus {
 public:
MonitorStatus();

bool initDone() {return binit;}
bool setInit();
bool resetInit() {binit=false; return true;}
bool setStopScenario();
bool setRunScenario();
bool setLoad();
bool scenarioOn() {return brun;}
bool pauseOn() {return bpause;}
bool setContinue();
bool setPause();

 private:
bool binit;
bool bloadscenario;
bool brun;
bool babortaction;
bool bpause;
bool bsaveresult;
bool bonline; 


};
#endif
