#ifndef RunSettingImpl
#define RunSettingImpl
#include "RunSettingsUi.hxx"

class Monitorimpl;
class ModuleTestSetup;
class SetParser;

class  RunSettingsImpl : RunSettingsUi 
{
  Q_OBJECT
 public:
  RunSettingsImpl(Monitorimpl* monitorimpl, 
		   QWidget* parent ,  const char* name , WFlags fl=0  );
  ~RunSettingsImpl();
  
  void setTestSetup(  ModuleTestSetup* testsetup) { thetestsetup=testsetup;}

 /** writes the default settings from the settings.xml / dtd file to
      the RunSettings in the Sttings Tab
  */
  void writeRunSettingsDisplay( SetParser* sets);
 public slots:

    virtual void ApplyRunSet();
 
 private :
 
    Monitorimpl* fMi;
    ModuleTestSetup* thetestsetup;
 
};


#endif
