#ifndef _SetupDescriptor_h_
#define  _SetupDescriptor_h_


/** \brief SetupDescriptor structure define seetings
           of the Setup. 

              
     \author V.Zhukov  
     \version 1.0 
     \date 2001 22/09
 
*/
class SetupDescriptor{
public:
  float  maxtemp;
  float startingtemp;
  int  dt;
  float maxhumidityhvset; ///< maximal humidity accepted for increasing hv
  float maxhumiditycooldown;///<maximal humidity for cooling down. 
  float temperatureaccuracy;//< in which accuracy the temperature has to be reached.
};
#endif




