#ifndef FbRun_H
#define FbRun_H

#include "TestBase.h"


/** \brief Forward biasing  for TestProcedure

     \author V.Zhukov,UIA   
     \version 2.1 
     \date 2003/02
 
*/

class Module;
class HybridI2C;
class RecModule;
class FbRunDescriptor;

class FbRun : public TestBase  { 

public:
FbRun(Module* m);
~FbRun();

void InitTest(SetParser* s);
bool Update(int nev);
void FillRecord();
void Abort() {done=true;}
bool isDone()  {return done;}

private:
HybridI2C* thei2c;
Analysis theapvanals;
Feds thefeds;
RecModule* therec;
FbRunDescriptor* calsets;

int Nev;
int Ncalev;
int Ntot;
int Napvs;
short prevmode;
short drv;
bool done;
float Tbad;
double fCorr[NAPV*NAPVCH][1000];
};

#endif 




