#ifndef FECCTRL__
#define FECCTR__

/**
   \class FecCtrl
   \author W.Beaumont
   \date 03/2003
   \version 2.1

   \brief gives access to the general FEC functions
*/
 
class PllI2cChannelInterface;
class FecCtrlDevInterface;
  
class FecCtrl {
  public:

FecCtrl();
FecCtrl::~FecCtrl();
  void hardReset() ; 

 void setI2CChannel(PllI2cChannelInterface* i2c);

 private:
 PllI2cChannelInterface* theI2cChannel;
 FecCtrlDevInterface *fFecDev;
};
#endif 
