#ifndef SPILL_ANALYSIS
#define SPILL_ANALYSIS

#include "Apv_Analysis.h"
#include <stdio.h>
#include <valarray>

/** 
\brief    Intermidiate data buffer for the spill, inherits from apv analysis
<p>
      Find frame (if not in FED) and cell addressses

  \authors: L.M.,N.M.,V.Zhukov
   \date 02/2003
   \version 2.1

*/
#define MAXEVT 256
class  FedChannelLt;

class Spill_Analysis : public Apv_Analysis
{

public:
  
Spill_Analysis(int i);
 ~Spill_Analysis();
void getEventData(int iev, FedChannelLt* f);
int loadEvent(int iev);
bool FindFrame();
int  FindCellAddress();

private:
  short fSpillBuffer[MAXEVT][1024];
  FedChannelLt* fFedChannel;
  double fFrameThreshold;
  double fFrameMaximumAddress;

};
#endif
