//mouse event handler for omon.cpp
#ifndef HMOUSE_H
#define HMOUSE_H

#include <TROOT.h>
#include <iostream>
#include <TObject.h>
#include <TGFrame.h>
#include <TCanvas.h>
#include <TGListBox.h>
#include <RQ_OBJECT.h>


/**
 \mouse event handler for omon.cpp

<p>
        Creating root object to provide mouse 
	event processing in omon.cpp
	A dictionary file is required - using rootcint.
	
           
     \author V.Hovhannisyan,UIA   
     \version 1.0 
     \date 2002 9/27
 
*/
class hmouse : public TObject {
// 197126 is the code for version 3.02/6
#if ROOT_VERSION_CODE > 197126 
  RQ_OBJECT("hmouse")
#else 
    RQ_OBJECT()
#endif  

 public:

  hmouse(TCanvas* canvas,TGMainFrame* frame,TGListBox* listbox);
  ~hmouse() {;}

//slot

  void GetXY(Int_t event,Int_t x,Int_t y,TObject* s);

private:

  TCanvas* fcanvas;
  TPad* fpad;
  TGMainFrame* fframe;
  TGListBox* flistbox;
//
  ClassDef(hmouse,1)
};

#endif
