#include "FecCtrl.h"

#include "plli2cchannelinterface.h"
#include "fecctrldevinterface.h"
#include "ltparser.h"

extern LtParser* ltparser;  

FecCtrl::FecCtrl(){
  fFecDev=0;
  fFecDev=ltparser->getFecCtrlDev(0);
}

FecCtrl::~FecCtrl(){
  if(fFecDev){ delete fFecDev;}
}

void FecCtrl::hardReset() { fFecDev->hardReset();} 
void FecCtrl::setI2CChannel(PllI2cChannelInterface* i2c){
  theI2cChannel = i2c;
 fFecDev->setI2CChannel(i2c);
}
