#include "TestBase.h"
#include "fedchannellt.h"
#include "Spill_Analysis.h"
#include "Record.h"
#include "setparser.h"
#include "daqerrormsg.h"
using namespace std;

#ifndef MAXEVT
#define MAXEVT 256
#endif

void TestBase::loadSpill(Feds fed, Analysis anal, int nev) {
//  cout<<" TestBase : loadspill"<<endl;
  if(nev>MAXEVT) nev= MAXEVT-1;
  if(fed.size()!=anal.size()) {
    DT_WARN(" TestBase: loadspill; missing channel");
  }
	 for(int ich=0;ich<fed.size();ich++) { 
	   //      cout<<" TestBase:loadspill ch "<<ich<<endl;
	   for(int iev =0; iev < nev; iev++) {
	     //     cout<<" "<<iev;
                  anal[ich]->getEventData(iev,fed[ich]);
	   }
	 }      
}
//
TestBase::~TestBase()
{;}
