#ifndef FECCTRLDEVSHM
#define FECCTRLDEVSHM 

#include "fecctrldevinterface.h"

/**
   \class FecCtrlDevShm
   \author W.Beaumont
   \date December  2002
   \version 1.0

   \brief Shm implementation for the feccontrol access
   This class doesn't provide the real functionality and 
   is there because of backwards compatibality 
   ( if needed to check old code).
   Don't use this implementation if not necessary.
*/
   

class FecCtrlDevShm:public FecCtrlDevInterface {

 public:
  
  FecCtrlDevShm();
  virtual ~FecCtrlDevShm(){}

  /** FEC generates an hard reset to the hybrids 
   */
  virtual void hardReset();

  
  virtual void plxReset();

 virtual void  fecReset(){;}

 virtual void initTTCRX(){;}
 virtual void setI2CChannel(PllI2cChannelInterface* i2c){
   theI2cChannel= i2c;
 }
 private :
    PllI2cChannelInterface* theI2cChannel;
};
#endif 

