
// *******************************************
//  here you can set the adress for the chips
// *******************************************

typedef unsigned short ushort_led;
#include "normi2c.h"

class I2cNormTransl{
  public :
    I2cNormTransl( NormI2c * i){i2cnorm=i;}
  void write(ushort_led addr,ushort_led *datain, int size){ 
    if (size== 1){
      i2cnorm->SingleByteWrite((unsigned char)addr,
			       (unsigned char) (*datain));
    }
    else { 
      //assume for the moment only 1 byte transfers
      //  i2cnorm->MultiByteWrite((unsigned char)addr,
      //		      (unsigned char) datain, size);
    }
  }
  void read(ushort_led addr,ushort_led *datain, int size){ 

    if (size== 1){
      unsigned char data= (unsigned char) *datain;
      i2cnorm->SingleByteWrite((unsigned char)addr,
			       (unsigned char) (data));
      *datain= (ushort_led) data;
    }
    else { 
      //   i2cnorm->MultiByteWrite((unsigned char)addr,
      //		      (unsigned char) datain, size);
    }
  }

   private: 
NormI2c  *i2cnorm;


};

class I2CLedController
{
  
 private:
  I2cNormTransl * i2c;
    NormI2c  *i2cnorm;
    ushort_led   ctrl;
    ushort_led CTRLADDR;
    ushort_led DATAADDR;

 public:
    I2CLedController(NormI2c *i , int baseaddr);
    int setVoltage(float voltage);
    int setVoltage(int voltage);
    int constIluminationSensor1(int voltage);
    int constIluminationSensor1(float voltage);
    int constIluminationSensor2(int voltage);
    int constIluminationSensor2(float voltage);
    int singleShot( int arraynumber, int lednumber, int switchnumber);
    int lvdsDisable( int arraynumber);
    int arrayReset( );
    int powerSwitch(int power);

 private:
 int setVoltage(int voltage,int daq);

};

