#ifndef _SIMULATIONEXCHANGE_ 
#define _SIMULATIONEXCHANGE_

#include "apv25description.h" 

/** \class Apv25DescrExchange  
    \author W. Beaumont 
    \date January  2003
    \version 1.0
    \brief for exchange of the settings to other simulation class
    by example to set the mode of the apv simulation mode. 
*/


class SimulationExchange {
 public:
  SimulationExchange();
  bool CheckCalMode(); 
  inline  bool StripCalActive( int stripnr);
  int getCalPulseHeight(int stripnr);
  int getTriggerDelay(); 
  static  Apv25Description Ad ; 
  private :
    int  fTriggerDelay;
};

#endif 
