#include "normi2ctsc.h"
#include "daqerrormsg.h"
#include "fbcardio.h"
#include "ltparser.h"
#include "diochannelinterface.h"

extern LtParser* ltparser;

FBCardIo::FBCardIo(CalExchange <int>* ce){
  fCe=ce;
  fInitialized=false;
  CalExchange <int> *a = ltparser->getDioLineInfo( *(ce->getCalValues())); 
  if(a) {
    fIo= ltparser->getDioChannel(a);
    if (fIo) fInitialized= true;
  }
  
}


FBCardIo::~FBCardIo(){
  delete fIo;
}

float  FBCardIo::setCurrentLevel(float level){
  if (level > 0) {
    fIo->setBit(1); 
  }
  else {
    fIo->setBit(0);
  }
  return level;
}


float  FBCardIo::setCurrentLevel(float level, int channel){
  return setCurrentLevel( level);
}
  









