#include "normi2ctsc.h"
#include "daqerrormsg.h"
#include "ledcardio.h"
#include "ltparser.h"
#include "diochannelinterface.h"

extern LtParser* ltparser;

LedCardIo::LedCardIo(CalExchange <int>* ce){
  fCe=ce;
  fInitialized=false;
  CalExchange <int> *a = ltparser->getDioLineInfo( *(ce->getCalValues())); 
  if(a) {
    fIo= ltparser->getDioChannel(a);
    if (fIo) fInitialized= true;
  }
  
}


LedCardIo::~LedCardIo(){
  delete fIo;
}

float  LedCardIo::setLightLevel(float level){
  if (level > 0) {
    fIo->setBit(1); 
  }
  else {
    fIo->setBit(0);
  }
  return level;
}


float  LedCardIo::setLightLevel(float level, int channel){
  return setLightLevel( level);
}
  









