#include "muxdevdummy.h"
#include "muxchanneldummy.h"


MuxDevDummy::MuxDevDummy( CalExchange <MuxExchangeDef::MuxValues>* ce){
  fCe = ce;
  MuxExchangeDef::MuxValues* muxval = fCe->getCalValues();  
  int boardnr=fCe->getBoardNr();
  for (MuxExchangeDef::CI  lc1=muxval->begin();
       lc1 !=muxval->end();lc1++){
    // card id is the device nr and the card nr in the device
    fCards[ MuxExchangeDef::cardId(boardnr,lc1->first)]=
      new MuxChannelDummy();
  }        
}

MuxDevDummy::MuxDevDummy( ){
  fCards[0]=new MuxChannelDummy();
  fCards[1]=new MuxChannelDummy();
  fCards[2]=new MuxChannelDummy();
}

MuxDevDummy::~MuxDevDummy(){
  fCards.clearpointermap();  
}

