#include "daqerrormsg.h"
#include "muxexchangedef.h"


  int MuxExchangeDef::getGroupNr( MuxValues ce,int cardnr, int muxchannel){
    int group=-2;
    if(ce.end()==ce.find(cardnr)){ DT_DEBUG_LTC("2a");return -1;}
    else  {
      FedMuxInfo f = ce[cardnr]; 
      for(GCR::const_iterator lc=f.grp_ch.begin(); lc != f.grp_ch.end();lc++){
	if (lc->second == muxchannel) { 
	  group=lc->first;
	  break; 
	}
	
      }
    }
    return group;
  }

  int MuxExchangeDef::getfedchannel( MuxValues ce, int cardnr) { 
    if(ce.end()==ce.find(cardnr)){return -1;}
    else  {
      MuxExchangeDef::FedMuxInfo f = ce[cardnr]; 
      return f.fedchnr;
    }
  }  
   
  int MuxExchangeDef::getfedserialnr(MuxValues ce, int cardnr) { 
    if(ce.end()!=ce.find(cardnr)){
      MuxExchangeDef::FedMuxInfo f = ce[cardnr]; 
      return f.fedsrnr;
    }
    else {return -1;}
  }

  int MuxExchangeDef::getI2cAddr(MuxValues ce, int cardnr) { 
    if(ce.end()!=ce.find(cardnr)){
      MuxExchangeDef::FedMuxInfo f = ce[cardnr]; 
      return f.i2c_addr;
    }
    else {return -1;}
  }
      
  void MuxExchangeDef::setfedchannel(MuxValues& ce,int channel, int cardnr){
    MuxExchangeDef::FedMuxInfo f;
    if(ce.end()!=ce.find(cardnr)){
      f = ce[cardnr]; 
      f.fedchnr=channel;      
    }
    else{
      f.fedchnr=channel;
      f.fedsrnr=-1;
      f.i2c_addr=-1;      
    }
    ce[cardnr]=f;
  }

  void  MuxExchangeDef::setfedsernr(MuxValues& ce,int serienr, int cardnr){
    MuxExchangeDef::FedMuxInfo f;
    if(ce.end()!=ce.find(cardnr)){
      f = ce[cardnr]; 
      f.fedsrnr=serienr;
    }
    else{
      f.fedchnr=-1;
      f.fedsrnr=serienr;
      f.i2c_addr=-1;
    }
    ce[cardnr]=f;
  }	
  
  void  MuxExchangeDef::seti2caddr(MuxValues& ce,int i2c_addr, int cardnr){
    MuxExchangeDef::FedMuxInfo f;
    if(ce.end()==ce.find(cardnr)){
      f = ce[cardnr]; 
      f.fedsrnr=i2c_addr;      
    }
    else{
      f.fedchnr=-1;
      f.fedsrnr=-1;
      f.i2c_addr=i2c_addr;
    }
    ce[cardnr]=f;
  }
  // code cardnr and dev in one otherwise to much programing work
  int   MuxExchangeDef::cardId(int devnr, int cardnr){ return 100*devnr+cardnr;}
  int MuxExchangeDef::getDevNr( int cardid) { return cardid /100; }
  int MuxExchangeDef::getCardNr( int cardid) { return cardid % 100;}


	
