#include "optoi2cchanneldummy.h"
#include "daqerrormsg.h"
#include <stdio.h>
#include <signal.h>

OptoI2cChannelDummy::OptoI2cChannelDummy(char *tdname,int board, int channel) : OptoI2cChannelInterface(board,channel) 
{  
 return; 
}

OptoI2cChannelDummy::~OptoI2cChannelDummy()
{}
  



void OptoI2cChannelDummy::release()
{
  
}

void OptoI2cChannelDummy::justDoIt()
{
 
}


int OptoI2cChannelDummy::wait()
{
 
  return 1;
}

void OptoI2cChannelDummy::setOptoGain(unsigned char ch, unsigned char f){  
  if(  ch>2){
    DT_WARN("not existing channel"<<getChannelId()<<" board" << getBoardId());
  }
  fGain[(int)ch]=f; 
}

void OptoI2cChannelDummy:: setOptoBias(unsigned char ch, char f){
 if( ch>2){
    DT_WARN("not existing channel"<<getChannelId()<<
	    " board" << getBoardId());
 }
 fBias[(int)ch]=f; 
}


unsigned char  OptoI2cChannelDummy::getOptoGain(unsigned char ch) {
  if(ch>2){
    DT_WARN("not existing channel"<<getChannelId()<<
	    " board" << getBoardId());
  }
  return fGain[(int)ch]; 
}

char OptoI2cChannelDummy::getOptoBias(unsigned char ch){
  if( ch>2){
    DT_WARN("not existing channel"<<getChannelId()<<
	    " board" << getBoardId());
  }
  return fBias[(int)ch];
}

