#include "tsctypewrapper.h"
#include "tscchannel.h"
#include "dimtscchannelextra.h"
#include "tscchanneldummy.h"


TscTypeWrapper::TscTypeWrapper(   int device ,  LtParser* ltparser  ) 
{ fInitialized=false;
   DT_NOTE("");
   fDeviceId = device; 
   CalExchange <int>* c=0 ;
  
                            
   int n =ltparser->getNumberTscCards();
   DT_DEBUG_LTC("Probes " << n  ) ;
     c = ltparser-> getTscCardInfo(fDeviceId);
        
    if ( c) 
      {	DT_DEBUG_LTC(c->printIdValues(cout));
      DT_DEBUG_LTC("requested shmname: " << c->getTDeviceControlName( ));
	DT_DEBUG_LTC("name: " << c->getName( ));
      fType= c->getType();
	switch ( fType )
	  { case TscChannelDef::DUMMY:{  TscChannelDummy* fTChanneld  = new TscChannelDummy(c-> getTDeviceControlName( ) , 0,0);
	             if ( !( fInitialized=fTChanneld->isInitialized()) ) 
		       { delete fTChanneld ;  fT=0;}
		     else { fT=fTChanneld;}
	  }
	    break; 
	    case TscChannelDef::DIMTSCDEV : { 
	      string host(c->getShmName());
	      DimTscChannelExtra* fTChannel  = new DimTscChannelExtra(host , 0);
	      if ( !( fInitialized=fTChannel->isInitialized()) ) 
		{ delete fTChannel ;  fT=0;}
	      else { fT=fTChannel;}
	    }
	    break;
	    case TscChannelDef::SHAREDMEM : { 
	      TscChannel* fTChannel  = new TscChannel(c->getTDeviceControlName( ) , 0,0);
	      if ( !( fInitialized=fTChannel->isInitialized()) ) 
		{ delete fTChannel ;  fT=0;}
	      else { fT=fTChannel;}
	    } 	    
	    break;
	    default: { fT=0;
	      DT_DEBUG_LTC( "TSC card  type" << fType << "not supported"<< endl) ;
	    }
	    break;
	  }
      
	
      }
    else
      {   DAQEXIT( "requested Tsc  ID not found "<<fDeviceId << endl);
      }
    
    //delete parser;
    
    
  }

TscTypeWrapper::~ TscTypeWrapper()
{ ;
// nothing to do 

} 





