#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
#include <stdio.h>
#include "fedprocessctrl.h"
#include <iostream.h>
bool HasToExit=false;
void  Ictrlc(int s)
{


  if (s == SIGCONT) return;
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}



int   main (int argc , char** argv )
{ 
  FedProcessCtrlInterface* fT=0; 
  signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
  
  fT= new  FedProcessCtrl();
  cout <<"fed nr:"<< fT->getFedId();
  int i=0;
  while(!HasToExit) 
    {  if ( fT->NewSpill())
      { cout <<i++<<" spill:"<<fT->getSpillNumber()<<" with "<<fT->getNumberOfEvents()<<" events"<<endl;
      sleep(1); // to prove the fed is stopped 
      fT->NextSpill();
      }
    else { cout<< "."; usleep(10000);}
    }

	    delete fT;
	    
	    
    return 0;
  }
