#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>
#include <stdio.h>
#include "tscchannel.h"
#include <iostream>
#include "ltparser.h"

LtParser* ltparser;

bool HasToExit=false;
void  Ictrlc(int s)
{


  if (s == SIGCONT) return;
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}

 


int   main (int argc , char** argv )
{ 
 signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
 
  ltparser = new LtParser();
   ltparser->parseFile();
  TscChannelInterface* Tsc = ltparser->getTscCard (0);
  if( ! Tsc ) { cout << "Don't get Tsc" << endl; exit(-1);}
  Tsc->lock();  
  Tsc->setResetLatency(10);
  
   //Tsc->setClockMin(10);
   Tsc->setTriggerCount(100);
   Tsc->disableInhibitTrigger() ;
   Tsc->enableCalibration();
   Tsc->enableReset();
   Tsc->setInternalTrigger();
   Tsc->setTriggerFrequency(40);
   Tsc->justDoIt();
   Tsc->unlock();
   Tsc->wait();
   sleep(3);
   cout << "wake up" << endl;
   while( !HasToExit)
     { Tsc->lock();  
       Tsc->setReenableTrigger(true);
       Tsc->justDoIt();
       Tsc->unlock();
       Tsc->wait();
        cout << "wake up" << endl;
       sleep(1);
     }
  delete Tsc;
  }
