#ifndef __TEMPERATURECHANNELDUMMY
#define __TEMPERATURECHANNELDUMMY
#include "temperaturechannelinterface.h"
//#include <adcchannelinterface.h>

/** \brief temperature channel dummy  class
     
     Implementation of the temperarature channel interface.
     For a more realistic dummy temperature channel use 
     TemperatureChannel with AdcChannelDummy
     This class is made to speedup some development and will not be maintained
     
   
     \author W. Beaumont University Antwerpen 
     \version 1.0 
     \date 2003 08 17
    
 
*/

class TemperatureChannelDummy :public TemperatureChannelInterface

{ 
 public:
  /**calls the  the temperature conversion class without parameters so set 
     the TempratureConversion to default values 
  */
  TemperatureChannelDummy(){ }
 TemperatureChannelDummy( CalExchange <TempConverDef::TempCalValues>* c  ):
    TemperatureChannelInterface(c) {}
   
  /// get the actual temperature
 virtual float getTemperature(){ return 22.2;}
   /** get the actual temperature
       @param basevalue the value of the sensor ,e.g. actual resistance  for NTC
    */
   virtual float getTemperature(float& basevalue) { 
     float temperature= 22.1;
     basevalue=getBaseValue();return temperature;
   }
/** return the raw input value like an adc input */
   virtual float getInputValue(){return 0;}
   /** \brief  send inforation about the temperature channel to cout ,use only for debug reasons
       it is allowed to implement a empty function here */
   virtual void info(){ }
   virtual bool isInitialized(){return true;};   
   virtual ~TemperatureChannelDummy() {};
  
   
};

#endif 
