#ifndef VI_PROXY_H
#define VI_PROXY_H

#include <socketcc.h>
#include <pair.h>
#include <string>

class ViProxy {
	public:
		ViProxy(std::string host,int port);
		~ViProxy();
		bool Reset(); // mybe private is exception is thrown 
		bool   setValue(std::string command,int value); //! Used to Send value to specific detector  
		double getValue(std::string command);	      //! Used to Get  value from a specific detector
	private:
		std::pair<int,double> ParseResult(std::string result);
		IPAddress serverip;
		TCPClientSocket* mysock;
};
#endif
