#include <cstdlib>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>

#include "interlock.h"
#include "ltparser.h"

LtParser* ltparser;


bool HasToExit=false;
void  Ictrlc(int s)
{


  if (s == SIGCONT) return;
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}



int   main (int argc , char** argv )
{ 
 InterLock*  fT=0;
 signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
    
      ltparser = new LtParser();
      char configfile[80];
      ltparser->getStandardConfigFile( configfile, "Config/lt.xml");
  if(ltparser->parseFile(configfile )) {
    DAQEXIT("error in lt configuration file look at error output");} 
 

 fT= new InterLock(0);cout << endl;

 while(!HasToExit) 
   {
     cout <<" interlock status " << fT->GetInterlockLineStatus()<<endl;
     sleep(1);
   }
   delete fT;
  
   delete ltparser;
    return 0;
  }
