#ifndef __CURRENTCHANNELDUMMY
#define __CURRENTCHANNELDUMMY

#include "currentchannelinterface.h"

/** \brief current  channel dummy  class  
  
     Implementation of the current  channel interface.
     For a more realistic dummy current  channel use 
     TemperatureChannel with AdcChannelDummy
     This class is made to speedup some development and will not be maintained
     
   
     \author W. Beaumont University Antwerpen 
     \version 1.0 
     \date 2003 08 17
    
    
 
*/
class CurrentChannelDummy  :  public CurrentChannelInterface
{  public:
  CurrentChannelDummy(){};
  CurrentChannelDummy(CalExchange<CurrentConvDef::CurrentCalValues>* c ): CurrentChannelInterface(c){}
 
  virtual float getCurrent(){ return 100;} 
   /** return the raw input value like an adc input */
   virtual float getInputValue(){return 0;};
   virtual void info(){;}
   virtual ~ CurrentChannelDummy(){};
};

#endif 
