#include "currentchannelhvmodule.h"
#include "daqerrormsg.h"
#include "hvchannellt.h"
#include "ltparser.h"

CurrentChannelHvMod:: CurrentChannelHvMod
(CalExchange <CurrentConvDef::CurrentCalValues>* c )
	 : CurrentChannelInterface(c) 
{   
  fHv= new HvChannelLt( c->getChannelNr());
  if(!fHv->isRefference()) {
    DT_WARN("create a new hv supply to readout the current , is not allowed");
  }
  else {
    DT_DEBUG_LTC( " board"   << getBoardNr()<<" channel "<< getChannelNr());
  } 
    
  fActualCurrent=-1;
}

CurrentChannelHvMod::~CurrentChannelHvMod(){
  delete fHv;
}
float CurrentChannelHvMod::getCurrent() 
{ float current=0;
 fHv->lock();
 fHv->justDoIt();
 fHv->unlock();
 fHv->wait();
 fHv->lock();
 current=fHv->getHvCurrent();
 DT_DEBUG_LTC( " board"   << getBoardNr()<<" channel "<< getChannelNr()
		 <<" current " <<current);
 fHv->unlock();
 fActualCurrent=current;  
      return current;
    }

HVChannelInterface* CurrentChannelHvMod::getHvChannelPointer(){
  return fHv;
}
 
void CurrentChannelHvMod::info()  { 
   fHv->Info();
}
int    CurrentChannelHvMod::getId()  
    {    return fHv->getBoardId() ;} 
