#ifndef I2CDialog25_DEF
#define I2CDialog25_DEF
#include <apv25i2cchannel.h>


class I2CDialog :public TGMainFrame  {

private:
  TGCompositeFrame  *fFrame,*fFrame1,*fFrame2,*fFrame0, *fF01;
  TGCompositeFrame *fF1,*fF1b, *fF1a, *fF2, *fF3, *fF4, *fF5, *fF6, *fF7, 
                   *fF8,*fF9, *fF10, *fF11,*fF12,*fF13,*fF14,*fF15,
                   *fF16,*fF17;

  TGButton *fOkButton, *fCancelButton;
  TGTextEntry *fTxtDevice;
  TGTextEntry *fTxtCcuAddress;
  TGTextEntry *fTxtCcuChannel;
  TGTextEntry *fTxtAddress;
  TGTextEntry *fTxtMode;
  TGTextEntry *fTxtLatency;
  TGTextEntry *fTxtIpre;
  TGTextEntry *fTxtIsha;
  TGTextEntry *fTxtIpsp;
  TGTextEntry *fTxtIpcasc; 
  TGTextEntry *fTxtIssf;
  TGTextEntry *fTxtIpsf;
  TGTextEntry *fTxtVfp;
  TGTextEntry *fTxtVfs;
  TGTextEntry *fTxtVpsp;
  TGTextEntry *fTxtImuxin;
  TGTextEntry *fTxtIcal;
  TGTextEntry *fTxtCsel;
  TGTextEntry *fTxtCdrv;
  TGTextEntry *fTxtmuxgain;



  TGLayoutHints       *fL1, *fL2, *fL3, *fL4;
 
  Apv25I2cChannelInterface* fI2C;

public:
   I2CDialog(const TGWindow *main, UInt_t w, UInt_t h);
   virtual ~I2CDialog();

   virtual void CloseWindow();
   virtual Bool_t ProcessMessage(Long_t msg, Long_t parm1, Long_t parm2);
};

#endif
