#ifndef DIOLINEPARSER
#define DIOLINEPARSER

#include "pmap.h"
#include "commonparser.h"
#include "CalibrationValues.h"
class DOM_Node;


class DioLineParser : public CommonParser
{
 public:
  DioLineParser(){};
  ~DioLineParser(){;}
 int parseNode(DOM_Node &ei);
 CalExchange<int>* 
   getInfo(int device );
   int getCards(){return Dioline.size();}
   void setDummy(int deviceid);
   void clear(){ Dioline.clearpointermap();}
 private:
  
    /// power channels that controls the peltier in the system
  static    pmap< int, CalExchange<int>* >  Dioline;
     
};

#endif 
