#ifndef HUMIDITYCTRLPARSER
#define HUMIDITYCTRLPARSER

#include "CalibrationValues.h"
#include "pmap.h"
#include "commonparser.h"
class DOM_Node;

class HumidityCtrlParser: public CommonParser
 {
 public:
  HumidityCtrlParser(){};
  virtual ~HumidityCtrlParser(){};
  // returns the device id 
  int parseNode(DOM_Node &ei);
  void clear();
  int getNrCards(){return humidityctrls.size()  ;}
  
  
  
  CalExchange<HumidityCtrlDef::HumidityCtrlValues>* 
    getInfo(int device);
  
 private:
  void  parseHumidityCtrlStd
    (DOM_Node &ei,CalExchange <  HumidityCtrlDef::HumidityCtrlValues >* a );

  static pmap <int,CalExchange<HumidityCtrlDef::HumidityCtrlValues>*>
    humidityctrls;
  
  bool simulation_;


}; 

#endif
