#include <string.h>
#include "daqerrormsg.h"
#include "diochanneldummy.h"
#include <stdio.h>
#include <signal.h>


DioChannelDummy::DioChannelDummy(char* dummy,long adc_ser_nr, long channel_arg,diomode   mode ) : DioChannelInterface(adc_ser_nr,channel_arg) 
{
  fInitialized=false;
  fPid= getpid();
  fBit=0;
  fJustSet=false;
  fInitialized=true;
  fMode= mode;
}

DioChannelDummy::~DioChannelDummy()
{
  //  printf("Destructeur  init %d  desc %d \n",fInitialized, fCd);
  this->release();
}
void DioChannelDummy::release()
{
 

}


int DioChannelDummy::getBit()
{ 
  if (fMode == DIO_OUT )
  { DT_WARN("try to read  a writeonly bit@board:" << getBoardId() <<" Channel:"<<getChannelId());}
  if( fJustSet) { fJustSet=false; }
  else { if(fBit) {fBit=0;} else {fBit=1;}}
  return fBit;
}


int DioChannelDummy::getBit(int& status)
{ int result=getBit();
 fLastStatus=0;
   status= fLastStatus;
   return result;
}

int  DioChannelDummy::setBit(int i )
{  fLastStatus= 0;
 if (fMode  == DIO_IN  )
 { DT_WARN("try to set a readonly bit@board:" << getBoardId() <<" Channel:"<<getChannelId());}
 fBit=i; fJustSet=true;
    return fLastStatus;
   
}




int DioChannelDummy::wait()
{ 
    fLastStatus= 0;
  return fLastStatus;
}
  void   DioChannelDummy::info(std::ostream& sout)
{ // this is not written with effeciency in mind !!!
  sout << "Dio Channel info" ;
  sout << " Channel: "<< getChannelId(); 
  sout << " value  "  << getBit();
  sout <<" mode " << fMode;
  sout << " last status (0 = ok) " <<   fLastStatus << std::endl;

 

}


