#include <stdio.h>
#include <unistd.h>
#include <stdlib.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>

#include <fstream.h>

#include <adcchannel4717.h>


bool HasToExit=false;
void  Ictrlc(int s)
{


  if (s == SIGCONT) return;
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}

 
int main (int argc, char *argv[], char *envp[])
{ long lastSpill=-1;
  signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
 
  int chnr=0;
  if (argc < 2)
    { chnr=0;
    }
  else
    { chnr= (int) strtol(argv[1],NULL, 0);
    if (chnr < 0 || chnr > 63)
      { printf("ADC  channel number should be 0 or 64 \n");
      return(-1);
      }

    }
  printf("will read on ADC  channelnr %d: \n", chnr);
  float meanvalue;
  int samples ;
  unsigned short samplevalue_start, samplevalue_end;
  AdcChannelAd4717  AdcCh(-1,chnr);
//  if (! AdcCh.isInitialized()) return -1;
  while(!HasToExit)
    {  //sleep(1);
     if ( lastSpill < AdcCh.getSpillNumber())
       {  AdcCh.lock();
	  lastSpill=  AdcCh.getSpillNumber();
	  //  AdcCh.info(cout);
	  samples=AdcCh.getAdcData( meanvalue) ;
	 
	  samplevalue_end = AdcCh.getAdcSample(2047);
	   samplevalue_start =AdcCh.getAdcSample(4);
	  AdcCh.unlock();
         //cout << endl;
	  cout << "samples " << samples;
	  cout << " mean value " <<meanvalue <<" " <<  (meanvalue/16); 
	  cout << "start sample "<<  (samplevalue_start>> 4) << " endsample "<< (samplevalue_end>>4) << endl;
       }
     else 
       {printf("waitingfor spill : %ld, actual: %d \n", 
	        lastSpill,AdcCh.getSpillNumber());
       lastSpill=AdcCh.getSpillNumber(); 
       sleep(1);
       }
    }
  
  return 0;
}
