#include <stdlib.h>
#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>
//  #include "fed.h"
//  #include "fed_def.h"
#include "Dio6402.h"
#include "TShare.h"
#include "TDeviceControl.h"

bool HasToExit=false;

int  PrintChannelinfo( DeviceControlDescription* d, int channel_info)
{ char typestr[12][10]= { "DUMMY","CB64ADC","CB64DIO","CB64DAC",
		  "PMCI2C","PMCFED","SEQSI","MANUALHV","SERIALSEQ","NHQ104HV"};
 
  int ncx= channel_info;
  //Lock(); //necessary ?
 
 if( ncx > d->NumberOfChannels) 
   { printf ("channel %d doesn't exist \n");
     return 0;
   }
 else
   { printf("Chnr %03d Type =\t%d:\t%s\n",ncx,d->Channel[ncx].fType,
	    typestr[d->Channel[ncx].fType]);
     printf("Chnr %03d shared name  =\t\t%s\n",ncx,d->Channel[ncx].fShareName);
     printf("Chnr %03d shared mem size=\t0x%0x\n",ncx,d->Channel[ncx].fShareSize);
     ncx,d->Channel[ncx].fPidClient=0;
     printf("Chnr %03d Pid Client=\t%04d\n",ncx,d->Channel[ncx].fPidClient);
     printf("Chnr %03d Pid Server=\t%04d\n",ncx,d->Channel[ncx].fPidServer);
     printf("Chnr %03d channel=\t%04d\n",ncx,d->Channel[ncx].fChannelNumber);
     printf("Chnr %03d BoardID=\t%04d\n",ncx,d->Channel[ncx].fBoardId);
     printf("\n");
   }


 return ++ncx;
}
int main()
{


  TDeviceControl Control("ControlePrincipal",TShare_OPEN);
  int b=1,i=0;
  DeviceControlDescription* d= (DeviceControlDescription*) Control.Attach();
  
  while ( b) 
    {b=PrintChannelinfo(d,i++);
    }
  return 0;

  
}






