#include <stdlib.h>
#include <stdio.h>
#include <sys/time.h>
#include <unistd.h>
#include <signal.h>
#include <string.h>
//  #include "fed.h"
//  #include "fed_def.h"
//#include "Dio6402.h"
#include "TShare.h"
#include "TDeviceControl.h"

bool HasToExit=false;

int  PrintChannelinfo( DeviceControlDescription* d, int channel_info)
{ char typestr[34][12]= {  "DUMMY",
			   "CB64ADC", 
			   "CB64DIO", 
			   "CB64DAC",
			   "PMCI2C",
			   "PMCFED",
			   "PMCFED1", ///< RAL FED PMC ADC channel First Sample
			   "PMCFED2", ///< RAL FED PMC ADC channel Second Sample 8
			   "SEQSI", ///< RAL Seqsi channel 9
			   "MANUALHV", ///< Manual control of HV channel 10
			   "SERIALSEQ", ///< Marco's sequencer channel 11
			   "NHQ104HV", ///< Struck NHQ104 HV channel 12
			   "APVI2C", ///< RAL  I2C channel for APV6  14
			   "APV25I2C", ///< RAL  I2C channel  for APV25 14
			   "PLLI2C", ///< Normal PLL I2C Channel 15
			   "MUXI2C", ///< Normal MUX I2C Channel  16
			   "OPTOI2C", ///< Normal Opto transmitter I2C Channel  17
			   "DCUI2C",  ///
			   "N470HV",  ///< Nim 470 CAEN HV Channel  19
			   "TRHXADC", ///< TRHX ADC channel 20
			   "TRHXNTC", ///< TRHX NTC channel
			   "TRHXSENS", ///< TRHX sensor channel (temperature , humidity, voltage) 22
			   "TRHXDAC", ///< TRHX sensor channel (temperature , humidity, voltage) 23
			   "TSCPCI", ///<TSC PCI card 24
			   "SY127HV", ///< SY127 CAEN HV Channel
			   "TRHXDIO", ///< TRHX DIO channels 
			   "ADCI2C",  
			   "DIOI2C",  
			   "DACI2C",  
			   "TEMPI2C",
			   "LAST" 
                         };

  int ncx= channel_info;
  //Lock(); //necessary ?
 
 if( ncx > d->NumberOfChannels) 
   { printf ("channel %d doesn't exist \n",ncx);
     return 0;
   }
 else
   { printf("Chnr %03d Type =\t%d:\t%s\n",ncx,d->Channel[ncx].fType,
	    typestr[d->Channel[ncx].fType]);
     printf("Chnr %03d shared name  =\t\t%s\n",ncx,d->Channel[ncx].fShareName);
     printf("Chnr %03d shared mem size=\t0x%0x\n",ncx,d->Channel[ncx].fShareSize);
     printf("Chnr %03d Pid Client=\t%04d\n",ncx,d->Channel[ncx].fPidClient);
     printf("Chnr %03d Pid Server=\t%04d\n",ncx,d->Channel[ncx].fPidServer);
     printf("Chnr %03d channel=\t%04d\n",ncx,d->Channel[ncx].fChannelNumber);
     printf("Chnr %03d BoardID=\t%04d\n",ncx,d->Channel[ncx].fBoardId);
     printf("\n");
   }


 return ++ncx;
}
int main()
{


  TDeviceControl Control("ControlePrincipal",TShare_OPEN);
  int b=1,i=0;
  DeviceControlDescription* d= (DeviceControlDescription*) Control.Attach();
  
  while ( b) 
    {b=PrintChannelinfo(d,i++);
    }
  return 0;

  
}






