#include "setparser.h"
#include "ltparser.h"
#include <string>
using namespace std;
char   setparserfile[80] ;

void  display( SetParser *sp){
 char searchparser[80];
  string descriptorid;
 I2cDescriptor *  thefirst=0 ;
 PedRunDescriptor *theonly=0;

 descriptorid="i2cpedpeak"; 
 if( !(thefirst= sp->getI2cDescriptor(descriptorid.c_str()))) 
   { cout << "not found I2cDescriptor "<<descriptorid<<" "
	  << setparserfile  << endl;
   }
 else{ 
   thefirst = new I2cDescriptor(*thefirst ); // if yes copy to local 
   // use the buildin constructor class function 
   cout << "i2c will use address "<< thefirst->fAddress << endl;   
 }
 
 descriptorid="pedrundefault";
 if(sp->getPedRunDescriptor(descriptorid.c_str())) {  
   theonly=new PedRunDescriptor(*sp->getPedRunDescriptor(descriptorid.c_str()));
   cout << "the only pedrun " << theonly->nped << endl;
 } 
 else
 { cout << "not found the only one(  not intializing in file "<< setparserfile  << endl;
 }
 
 descriptorid="notintializing";
   if(  ! sp->getI2cDescriptor(descriptorid.c_str()))  
   { cout << "not found I2cDescriptor "<< descriptorid <<" in file "<< setparserfile  << endl;
   
   }
 else 
 {   I2cDescriptor  thesecond (*sp->getI2cDescriptor("notexisting")); // map has to lookup twice 
     cout << "i2c will use address "<< thesecond.fAddress << endl;  
 }
   SensorDescriptor* sd=0;
   if ( ! ( sd =  sp->getSensorDescriptor( "default" )) )
   {   cout << "not found default Sensor Descriptor   notexisting in file "<< setparserfile  << endl;
   }
	else
   {
   cout << "Hv setters: SwLimit: " <<  sd->vmax << " Rampup: "<<sd->hvrumpup <<" rmpdwn: " << sd->hvrumpdwn << endl;
   }
   strcpy( searchparser,"calprofrundefault" ); 
   CalProfRunDescriptor*  cd =0 ;
   if( ! (cd  = sp->getCalProfRunDescriptor("calprofrundefault" ) ))
     {  cout << "not found default Calprofdefault    notexisting in file "<< setparserfile  << endl;
     }
 else
     { cout <<"calprodescriptor calprofrundefault"<<  cd-> nevpoint <<" " <<     
	 cout << cd->latstart <<" " <<  cd->latend<<" " <<  cd-> calamp<<" " <<  cd->tbad<< endl;
     }
   descriptorid="default";
   ProcedureDescriptor* pd=0;
   if ( ! ( pd =  sp->getProcedureDescriptor(descriptorid.c_str() )) ){
     cout << "not found default Sensor Descriptor   notexisting in file "
	  << setparserfile  << endl;
   }
   else { 
     cout <<descriptorid<<" result file name " << pd->resultsfile()<<endl;
     cout <<descriptorid<<" scenario file name " << pd->scenariofile()<<endl;
     cout <<descriptorid<<" xml file name " << pd->xmlfile()<<endl;
     cout <<descriptorid<<" dtslowctrl "<< pd->dtslowctrl<<endl;
   }
   cout <<endl;
   descriptorid="longterm";
   if ( ! ( pd =  sp->getProcedureDescriptor(descriptorid.c_str())) ){
     cout << "not found longterm Sensor Descriptor   notexisting in file "
	  << setparserfile  << endl;
   }
   else { 
     cout <<descriptorid<<" result file name " << pd->resultsfile()<<endl;
     cout <<descriptorid<<" scenario file name " << pd->scenariofile()<<endl;
     cout <<descriptorid<<" xml file name " << pd->xmlfile()<<endl;
     cout <<descriptorid<<" dtslowctrl "<< pd->dtslowctrl<<endl;
   }
   
 }




int main(int argc , char** argv){
 
LtParser *lp = new LtParser(); 
lp->parseFile();
lp->getStandardConfigFile( setparserfile  ,"Config/settings.xml" );

SetParser *sp = new SetParser();
 sp->parseFile(setparserfile);
 display(sp);
lp->getStandardConfigFile( setparserfile  ,"Config/settmp.xml" );
// sp = new SetParser();
 sp->clear(); 
 sp->parseFile(setparserfile);
 display(sp);

 return 1;
}
