#include "RecHeader.h"
#include "RecUtil.h"
#include <TVector.h>


using namespace RecUtil;

RecHeader::RecHeader() {
  dbversion=1; 
  nrun=0; nev=0; nmodules=0;apvmodeall=0;
  valrec=0;
  indb=0; 
  
}
/*
 */
RecHeader::~RecHeader() {
  Reset();
}
/*
 */
void RecHeader::Reset() {
  nev=0; 
}

void RecHeader::Save(TDirectory* dir) {
  TDirectory* dmod=dir->mkdir("Header");
  dmod->cd();
  totn(foperator).Write("TNoperator");
  totn(ftestcenter).Write("TNtestcenter");
 totv(nev).Write("TIev");
 totv(nmodules).Write("TImod");
 totv(nrun).Write("TIrun");
 totv(dbversion).Write("TIdbversion");
 totv(ftime).Write("TVtime");
 totn(settings).Write("TNsettings"); 
 totv(apvmodeall).Write("TIapvmodeall");
 totn(ctime).Write("TNstime");
 totv(indb).Write("TIindb");
//ARC compatible
 totn(foperator).Write("Operator_C");
 totn(ftestcenter).Write("Testcenter_C");
 totv(ftime).Write("Date_I");
 totn(settings).Write("Settings_C");
 totn(ctime).Write("Date_C");
 totn(dbversion).Write("Version_C");

 nev++;
}


