#ifndef DbDataDescriptor_h_
#define DbDataDescriptor_h_


#include <qstring.h>
#include <string>
#include <vector>


/** \brief Db data definition

              
     \author V.Zhukov,UIA   
     \version 1.0 
     \date 2002 16/02/2002
 
*/


class DbDataDescriptor {

 public:
  int      ModuleType;
  int      ModuleGrade;
  int      ModuleStatus;
  int      HybridType;
  int      HybridGrade;
  int      HybridStatus;
  int      apvSettings;
  int      apvAlgorithm;
  int      apvMode;
  double    timeStart;
  double    timeEnd;
  double    TempSetup;
  double    HumSetup;
  double    TempExt;
  double    HumExt;
  double    TempMod1;
  double    TempMod2;
  double    TempHyb1;
  double    TempHyb2;
  double    IleakDcu;
  double    Ihyb25;
  double    Ihyb125;
  double    Vhyb25;
  double    Vhyb125;
  double      HV;
  float    Itest;  

  QString   Iapv25;
  QString   Iapv125;
  QString  pedestal;
  QString  noise;
  QString  rawnoise;
  QString  chflag;
  QString  calPApeak;
  QString  calPTpeak;
  QString  calSback;
  QString  calSled;
  QString  cal2Mips;
  QString  cal3Mips;
  QString  voltageIV;
  QString  currentIV;
  QString  timeIt;
  QString  currentIt;    
//....
 
};
#endif
