//roo2db file converter
//by V. Hovhannisyan, 2002, CMS, UIA - Antwerpen 
#include <iostream>
#include "DbParser.h"
#include "RecordReader.h"
#include <qapplication.h>
#include <qtimer.h>
#include <qfiledialog.h>
#include <qstring.h>
#include <TROOT.h>
#include <TFile.h>
#include <TDirectory.h>

TROOT root("root2db", "root2db");
using namespace std;

int main(int argc, char **argv)
{ 
  cout << endl;
  cout << "root2db file converter v01.00,  2002, CMS, UIA - Anwerpen" << endl;
  cout << endl;
  vector<int> srec;
  const char* s1;
  char str[32],rootname[144],templname[144];
  int i,nrecs;
  QString dbname,s2;
  TFile* f;
  TDirectory* dd;
  DbParser* db;
  RecordReader* recreader=new RecordReader();
  QApplication a( argc, argv );
  s2=(QFileDialog::getOpenFileName(QString::null,
					 "XML template (*.xml)"));
  if (s2.isEmpty() || s2.isNull()) goto fin;
  s1=s2;
  sleep(1);
  strcpy(templname,s1);
  dbname=(QFileDialog::getOpenFileName(QString::null,
				       "Root DB files (*.root)"));
  if (dbname.isEmpty() || dbname.isNull()) goto fin;
  s1=dbname;
  strcpy(rootname,s1);
  dbname.replace(dbname.length()-5,5,".res");
  sleep(1);
//  dbname=QFileDialog::getSaveFileName(dbname,"XML DB file (*.res)");
//  if (dbname.isEmpty() || dbname.isNull()) goto fin;
  cout << "XML template file: " << templname << endl;
  cout << "root file: " << rootname << endl;
//  cout << "db file: " << dbname << endl;
  cout<< endl;
  f=new TFile(rootname,"READ");
  nrecs=0;
  for (i=0;i<10;i++) 
    {
      sprintf(str,"Record%d",i);
      dd=(TDirectory*)f->Get(str);
      if (dd) { srec.push_back(i);nrecs++; }
    }
  cout << "number of records: " << nrecs << endl;
  cout << endl;
  for (i=0;i<nrecs;i++)
    {
      db=new DbParser(templname);
      recreader->Read(rootname,srec);
      db->populate(recreader);
      //     db->write(dbname);
      db->write();
      delete db;
      sleep(3); 
    }
  cout << endl;
  cout << "conversion done, quitting." << endl;
  cout << endl;
  fin:QTimer::singleShot(10,&a,SLOT(quit()));
  a.exec();
  delete recreader;
  return 0;                   
}
