#ifndef CCUINFO
#define CCUINFO 
#include <vector>
#include "dcuinfo.h"

class CcuInfo {
 public:
  friend class StructureParser;
  CcuInfo( int addr) { fAddress=addr;}
  CcuInfo( ) { fAddress=-1;}
  ~CcuInfo( ){
    for (unsigned int lc=0;lc<dcus.size();lc++){
      delete dcus[lc];
    }
    dcus.clear();
  }
  void AddDcu( DcuInfo* du) { dcus.push_back(du);}
  int  getCcuAddr(){return fAddress;}
  int getNrDcu() { return dcus.size();}
  DcuInfo* getDcuInfo(int i) { 
    if( (unsigned int)i< dcus.size()) { return dcus[i];}
    else {return 0;}
  }


    protected:
  int fAddress; 
  std::vector<DcuInfo*> dcus;
    

};



#endif

