#ifndef DUTSPARSER
#define DUTSPARSER
#include <string>

#include <dom/DOM_Node.hpp>
#include <dom/DOM_Document.hpp>
class DOMParser;

class CenterInfo;

class DutsParser{
  private :
    std::string fParseFileName;
  DOMParser* parser;
  DOM_Document fDocument ;
  static CenterInfo* fCenterInfo;
 
  static  bool fileparsed;
  int centerParser(DOM_Node &ei);

    
  public :
    DutsParser();
  ~DutsParser() { }
  char* getStandardConfigFile(char* s, const char * filename );
  std::string getStandardConfigPath( );
  int parseFile();
  std::string  setParseFileName( std::string filename );
  void clear();
  int  parseFile(const char* name);
  std::string  DutsParser::getParseFileName( );
  DOM_Document& getDocument(){return fDocument;}
  static  CenterInfo* getCenterInfo();
};

#endif
