#ifndef OPTOHYBMENUIMPL_H
#define OPTOHYBMENUIMPL_H

#include "optohybmenuui.hxx"

class QFocusEvent;
class OptoHybInfo;
class QLineEdit;
class QSpinBox;
class OptoModInfo;
class OptoHybMenuImpl: public OptoHybMenuUi {
   Q_OBJECT
     
     public:
   enum OptoHybMenuStatus{UNKNOWN,OUTFOCUS,INFOCUS,CLOSSED};
   OptoHybMenuImpl(OptoModInfo* mi,QWidget* parent= 0 , const char* name= 0 , WFlags fl= 0 );
   ~OptoHybMenuImpl();
   
   public slots:
     virtual void UpdateOptoHybInfo();

 signals: 
   void focusStatus(int  mms);
 protected:
   virtual void  focusOutEvent(QFocusEvent* qevent);
   virtual void  focusInEvent(QFocusEvent* qevent);
   void closeEvent ( QCloseEvent * e );
   void writeOptoHybInfo( OptoHybInfo* ohi);
   OptoHybInfo* fHi;

   struct laserdisplayinfo{     
     QLineEdit* fFiberId;
     QSpinBox* fConnectorNr;
     QSpinBox* fCircuitNr;
     QSpinBox* fCalValue;// renamed to bias !!
   };
   
    laserdisplayinfo fLi[3];
    OptoModInfo* fMi;
};

#endif
