#include "pcf8574ctrl.h"
#include "cstdlib"// for the call in addevdescriptor
#include "ad4717devdescription.h"
#include "normi2c.h"
#include <unistd.h>

Pcf8574Ctrl::Pcf8574Ctrl(NormI2c *ni2c,unsigned char addr){
  fI2c=ni2c; fAddress=addr;
}


int Pcf8574Ctrl::setIo(int ch,bool on){
  unsigned char io=0;
  unsigned char i2caddr=2*(fAddress &0x7F);
  int err=fI2c->SingleByteRead( i2caddr,io);
  if(err >= 0) { 
    if(on){
      io = (1 << ch)| io;
    }
    else {
      io = ~(1 <<ch) & io;
    }
    usleep(2000);
    err=fI2c->SingleByteWrite( i2caddr,io);
  }
 
  return err;
}

int Pcf8574Ctrl::readBack(unsigned char &io){
  unsigned char i2caddr=2*(fAddress &0x7F);
  int err=fI2c->SingleByteRead( i2caddr,io);
  return err;
}
