#include "rodwidgetimpl.h"

#include "optomodwidget.h"
#include "optomodinfo.h"

RodWidgetImpl::RodWidgetImpl
(QWidget* parent , const char* name , WFlags fl ):
  RodWidgetUi(parent){
}
 
RodWidgetImpl::~RodWidgetImpl(){}

void RodWidgetImpl::addOptoMod(OptoModInfo* mi){
  int spacing=1;
  OptoModWidget* 
    mwg= new OptoModWidget(mi, this);
  mwg->setWedgeShape(false);
  int j=(7-mi->getRing())/2;
  int i=mi->getRingPos();
  qDebug("ring  %d  drawing pos  %d , pos %d",mi->getRing(),j,i);
  QRect df(mwg->frameGeometry());
  df.moveBy(100,
	    40+j*(3*spacing+df.height()));
  //df.moveBy(10,10);
  mwg->setGeometry(df);
  mwgv.push_back(mwg);
       
}
