#ifndef COLDBOXIMPL
#define COLDBOXIMPL
#include <qmap.h>
#include "coldboxui.hxx"


class ColdBox;
class TempCtrlImpl;
class HumCtrlImpl;

class ColdBoxImpl : public ColdBoxUi 
{
  Q_OBJECT
    public:
  ColdBoxImpl(QWidget* parent = 0, const char* name = 0, WFlags fl = 0);
  
  void setColdBox( ColdBox* cbp) ;
  
  public slots:
    virtual void CbCtrlPressed();
    virtual void CbCtrlReleased();
    virtual void CbSetTemp();
    virtual void CbUpdatePressed();
    private slots:
    void TabSelected( QWidget* );
    private :
    struct tabinfotmpctrls { QWidget* fQw;
      TempCtrlImpl* fTci;};
    ColdBox*  fCb;
    bool fContRunning;
    QMap<QString,tabinfotmpctrls> fTabs;
    HumCtrlImpl* fHCtrl;
};

#endif
