#ifndef MUXCTRLIMPL
#define MUXCTRLIMPL

#include "muxctrlui.hxx" 

class MuxCtrl;

class MuxCtrlImpl : public MuxCtrlUi {

  Q_OBJECT

 public: 
  MuxCtrlImpl( QWidget* parent=0 ,  const char* name=0 , WFlags fl=0  );
  ~MuxCtrlImpl();
  void setMuxCtrl( MuxCtrl* muxctrl,bool standalone=false ); 
  /** updates the values from the MuxCtrl
  */
  void writeMuxCtrlDisplay( );
  public slots:
    virtual void getActiveChannel();
  virtual void getActiveGroup();
  virtual void setChannelNr(int);
  virtual void setGroupNr(int);  
  virtual void setNextGroup();
  virtual void setDevGroupNr(int);
  virtual void registerGroupNr();
 private:
    MuxCtrl* fMuxCtrl;

};

#endif
