#include "humctrlimpl.h"
#include "qspinbox.h"
#include "qpushbutton.h"
#include "qlcdnumber.h"
#include "qcheckbox.h"
#include "humidityctrlinterface.h"
HumCtrlImpl::HumCtrlImpl(QWidget* parent , const char* name , WFlags fl ):
  HumCtrlUi(parent){
  fTci=0;
  SBHumSet->setEnabled(false);
  CbUpdate->setEnabled(false);
  CbControl->setEnabled(false);
  CbUpdate->setEnabled(false);
}


void HumCtrlImpl::setHumCtrl( HumidityCtrlInterface* cbp) {
  fTci=cbp;
  SBHumSet->setEnabled(true);
  CbUpdate->setEnabled(true);
  CbControl->setEnabled(true);
  CbUpdate->setEnabled(true);
}

void HumCtrlImpl::CbCtrlPressed(){
 
    fTci->control();
}

void HumCtrlImpl::SetHum(int value ){
  fTci->setTargetHumidity((float) value);
  
}

void HumCtrlImpl::setGasFlow(int i){
   fTci->setGasFlow((float) i);
}


void HumCtrlImpl::CbUpdatePressed(){
  LCDHum->display(fTci->getActualHumidity());
  SBHumSet->setValue((int) fTci->getTargetHumidity());
  LCDFlow->display(fTci->getGasFlow());
}
