#ifndef __PMAP
#define __PMAP
#include <map>
/** 
    \author W. Beaumont  
    \date  2001
    \version 1.20
    \brief     extension for the map class second is pointers 
    works for maps where the second enty is a pointer.
    there is no check if it is a pointer class !!
*/

template <class K, class P>class pmap :public std::map<K,P>
{
   typename  std::map<K, P>::const_iterator  p;
   typename  std::map<K, P>::iterator  iter;
   // CI p;
  std::map<K,P>* mp ;
 public:
  pmap<K,P>():std::map<K,P>(){mp= this;
  }   
//  pmap<K,P>(map<K,P> m) :map<K,P>(m){{mp= this;} 
 
  int    clearpointermap( )
     { 
  for ( p=mp->begin();p!=mp->end();p++)
    { if ( p->second) {delete p->second ;}
    }
   this->clear();
   return 0; 
  }
/** delete  the pointer  with the key K  and remove the 
    entry from the map 
*/
  void eraseP(K k ){
    if (mp->end()!= (iter =mp->find(k))){
      delete iter->second;
      mp->erase(iter);
    }
  }
/** if the pointer with the key exist it will be deleted
    a the new pointer p will be added to the map 
*/
  void replaceP(K k, P p){
    eraseP(k);
    (*mp)[k]=p;
  }

P  getP(K k )
  { if (mp->end()==mp->find(k))
    { return 0;}
    else
      { return (*mp)[k];}
  }
/** get the pointer on position i in the map  if i beyond the map size it returns 0 
*/
 P getPnr(int i){
   if((unsigned int) i < mp->size()) {
     iter =mp->begin();
     for (int lc=0 ;lc<i;lc++){ iter++;}
     return iter->second;
   }
   else { return 0;}
 }

 int dummy(int i);


};


#endif
