#ifndef STRINGTOOLS
#define STRINGTOOLS
#include <string>
#include <sstream>

template<typename  T> std::string BasicTypeToStr(
  const T &value,const std::string& format="none")
{
   std::ostringstream ost;
   ost<<value;
   return ost.str();
}


inline std::string BasicTypeToStr(const bool& value,
				  const std::string& format="none") 
{
  if( format == "yes" ) 
    { if( value ) return "yes"; else return "no" ;}
  if( format == "Yes" ) 
    { if( value ) return "Yes"; else return "No" ;}
  if( format == "YES" ) 
    { if( value ) return "YES"; else return "NO" ;}
  if( format == "True" ) 
    { if( value ) return "True"; else return "False" ;}
  if( format == "TRUE" ) 
    { if( value ) return "TRUE"; else return "FALSE" ;}
  //no else because return is used 
  if( value ) return "true"; else return "false" ;
    
}

#endif 
