#include "ModId.h"


ModId::ModId(const char* modid, 
	int nrapv, const char* modtype,int posnr, 
	unsigned int dcuid , 
	bool checkdcu_in ,
	const char* oper, const char* center ){
  fCheckDcu=checkdcu_in;
  fDcuId=dcuid;
  fOperator=oper;
  fModId=modid;
  fType=modtype;
  fBenchPos=posnr;
  fNrApv=nrapv;
  fcenter=center;
  isValid();
}


ModId::ModId(){
  fCheckDcu=false;
  fDcuId=0;
  fOperator="none";
  fModId="0";
  fType="0";
  fBenchPos=-1;
  fNrApv=0;
  fcenter="none";
  isValid();

}


bool ModId::isValid(){
 bool validmodid=(fModId.length()==0 
		  || fModId[0] == '-' 
		  || fModId[0] == '0' );
 fValidId=!validmodid;
 return validmodid;
}
