#include "XercesExt.hpp"

#include "dom/DOM_Node.hpp"
#include <dom/DOM_NamedNodeMap.hpp>
#include <dom/DOM_Document.hpp>
using namespace std;
using namespace XercesExt ;

bool XercesExt::getItem(
  int& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=atoi(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}

bool XercesExt::getItem(
  unsigned int& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=atoi(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}


bool XercesExt::getItem(
  unsigned short& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=(unsigned short)atoi(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}


bool XercesExt::getItem(
 short& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=(short)atoi(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}


bool XercesExt::getItem(
  long& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=atol(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}

bool XercesExt::getItem(
  float& f,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    f=atof(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}

bool XercesExt::getItem(
  double& f,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    f=atof(e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}



bool XercesExt::getItem(
  bool& i,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    i=false;
    if(!strcasecmp("true",e.getNodeValue().transcode())){
      i=true;
    }
    if('y' == (e.getNodeValue().transcode())[0]){
      i=true;
    }
    if('Y' == (e.getNodeValue().transcode())[0]){
      i=true;
    }
    
    found=true;
  } 
  return found;
}



bool XercesExt::getItem(
  char* c,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    strcpy(c,e.getNodeValue().transcode());
    found=true;
  } 
  return found;
}

bool XercesExt::getItem(
  string& s,const char * itemname,
  DOM_NamedNodeMap& attributes){
  bool found=false;
  DOM_Node e =attributes.getNamedItem(itemname);
  if(! e.isNull()) {
    s=e.getNodeValue().transcode();
    found=true;
  } 
  return found;
}

