#include "cmdlinedecode.h"
#include <iostream>
using namespace std;

string  CmdLineDecode(int argC , char** argV,
  const string& name, string& result,
		  bool argument){ 
  int parmInd=0;
  string optionerror="Not Found";
  while( ++parmInd < argC)
  {
    string arg=argV[parmInd];
    //cout <<arg<< " option "<<argument <<" "<<parmInd << " of "<< argC<< endl;
    std::string::size_type i=arg.find(name);
    if ( i> arg.size()) {
      //cout << "contineu 1"<<endl;
      continue;
    }
    if (arg[0]!= '-' ) {
      optionerror=arg+ " not started with option character"; 
      continue;
    }
    //cout << "arg is now "<<arg<<endl;
    if( i>1) {
      optionerror="not started with "+ name;
      continue;
    }
    // option found ! 
    i=arg.find('=');
    //cout << "arg is now "<<arg<<" size "<<arg.size()<< " i "<<i<<endl;
    if ( i< arg.size()) {
      //check option name 
      string striparg(arg,1,i-1);
      if(striparg != name) { 
	// only part of the name
	optionerror="option " +name+"  partially "+striparg;
	//perhaps somewhere it is there 
	continue;
      }
      if (! argument){
	optionerror="no argument expected argument " ;
	// add option nr and char 
	break;
      }
      else {
	string shulp(arg,i+1);
	result= shulp;
	optionerror="found";
	break;
      }
    }
    //cout << "arg is now  after = opt"<<endl;
    if(arg.size()-1 != name.size()) {
      optionerror="option " +name+"  partially "+arg;
      continue;
    }
    if (! argument ){
      result="";
      if( parmInd+1 < argC) {
	cout <<" check next entry" <<endl;
	if( argV[parmInd+1][0] != '-')  {
	  optionerror="no argument expected" ;
	  // add option nr and char 
	  break;
	}
      }
      optionerror="found";
      break;     
    }
    parmInd++;
    if (parmInd >= argC) {
      optionerror="argument expected for "+name;
      break;
    }
    arg=argV[parmInd];
    if( arg[0] == '-' ){
      optionerror="argument expected for "+name;
      break;
    }
    else {
      result=arg;
      optionerror="found";
      break;
    }
  }
  return optionerror;

}
  
