//mouse event handler for omon.cpp
#include "hmouse.h"

ClassImp(hmouse)

hmouse::hmouse(TCanvas* canvas,TGMainFrame* frame,TGListBox* listbox)
{
  fcanvas=canvas;
  fframe=frame;
  flistbox=listbox;
  fcanvas->Connect("ProcessedEvent(Int_t,Int_t,Int_t,TObject*)",
		   "hmouse",this,
		   "GetXY(Int_t,Int_t,Int_t,TObject*)");
}

void hmouse::GetXY(Int_t event,Int_t x,Int_t y,TObject* s)
{
  char str[80];
  float xx,yy;
  if (event==1)
    {
      fpad=(TPad*)fcanvas->GetSelectedPad();
      xx=fpad->AbsPixeltoX(x);
      yy=fpad->AbsPixeltoY(y);
      xx=fpad->PadtoX(xx);
      yy=fpad->PadtoY(yy);
      flistbox->RemoveEntries(0,flistbox->GetNumberOfEntries());
      flistbox->AddEntry(s->GetName(),1);
      sprintf(str,"X:%f",xx);
      flistbox->AddEntry(str,2);
      sprintf(str,"Y:%f",yy);
      flistbox->AddEntry(str,3);
      flistbox->SetTopEntry(0);
      flistbox->MapSubwindows();
      flistbox->Layout();
      gClient->ProcessEventsFor(fframe);
    }
}
//hmouse.cc
