{
//-------------------------------------------------------------
//omon.C
//-------------------------------------------------------------
//Root CINT TCP/IP client for Si CMS hybrid module test data.
//The test data is stored in the Root memory and easily can be

//accessed by using the Root's native browser. The data may be
//further processed by any custom root macro.This macro must be
//started each time when an update is needed.
//04-04-02 Author V. Hovhannisyan UIA
//15-05-02 Modified by V.(using TFile database structures)
//14-06-02 Modified by V.(data and database structure changes)
//10-07-02 Modified by V.(using separate file for each update)
//18-07-02 Buggs corrected by V. (directories, file mode)
//22-07-02 upgraded by V. (buttons).
//--------------------------------------------------------------
//
  gROOT->Reset();
  gROOT->LoadMacro("omon_cli.C"); 
//
  cout << endl;
  cout << "CMS Si Module Test UIA / Data Client" << endl;
  cout << endl; 
//  
  int dn;
  char* str;
  cout << "Initial count > " ;
  cin >> dn;
  cout << endl;
//
  bar=new TControlBar("vertical","Online Monitor",500,10);
  bar->AddButton("Update","omon_client(dn,str)","Current Update");
  bar->AddButton("Increment counter","dn+=1","Increment counter");
  bar->AddButton("Start Browser","TBrowser b;b->SetRefreshFlag(kTRUE);","Start browser");
  bar->AddButton("Quit","delete bar","Delete control bar");
  bar->Show();
  gROOT->SaveContext(); 
//
  str=getenv("LTONMONIP");
  if (str==0) str="127.0.0.1";
  cout << endl;
  cout << "Internet addres : " << str << endl;
  cout << endl; 
  cout << "Update              - current data update." << endl;
  cout << "Increment counter   - increment file counter" << endl;
  cout << "Quit                - delete control bar" << endl; 
  cout << endl;
  cout << "To view the data browse root/ROOT files/ <Update_n_Module_m>"<< endl;
  cout << "View histogramms, profiles and graphs by double-clicking" << endl;
  cout << "on the objects.View numeic data by inspecting vectors." << endl; 
  cout << "In case of overwriting close the old file" << endl;
  cout << endl;
}
//end of omon.C---------------------------------------------------


