/** simple test program to see if the ApvReadoutCtrl class does what is expected
 */
#include <unistd.h>
#include <sys/types.h>
#include <sys/wait.h>
#include <signal.h>


#include <iostream>
#include <ltparser.h>
#include "apvreadoutctrl.h"

LtParser* ltparser;

bool HasToExit=false;
void  Ictrlc(int s)
{


  if (s == SIGCONT) return;
  printf("SIGINT:I: %d  got signal %d \n",getpid(),s);
  HasToExit=true;

}


int main ()

{ signal(SIGINT,Ictrlc); // Arm interrupt handler
  signal(SIGCONT,Ictrlc); // Arm interrupt handler
 ltparser = new LtParser();
 ltparser->parseFile(); 
  ApvReadoutCtrl ac( 0,8);
  ac.disableReset();
  TscChannelInterface* thetsc =ac.gettsc();
  thetsc->lock();
  thetsc->disableCalibration();
  thetsc->setTriggerCount(40);
  thetsc->justDoIt();
  thetsc->unlock();
  thetsc->wait();
//  thetsc->disableInhibitTrigger();

 if ( ! ac.isInitialized()) { DAQEXIT(" apvreadout not initialized");}
 int lc=0;
 while(! HasToExit)
   { ac.sendApvReset();
      if( lc%2) { ac.enableBackPlanePulse();}
       else { ac.disableBackPlanePulse();}
   cout << " next " << lc++ <<endl;
        sleep(1);
   }
 
}
